Sun Dec 04 11:51:30 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.6 released.

Fri Dec  2 10:07:48 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tao/Leader_Follower.cpp:
        * tao/Messaging/Messaging_Queueing_Strategies.h:
        * tao/Messaging/Messaging_Queueing_Strategies.cpp:
        * tao/ORB_Core.cpp:
        * tao/Transport.cpp:
        * tao/params.h:
        * tao/params.inl:
        * tao/params.cpp:

          Reverting timer changes to be replaced by better and more
          flexible changes after the coming release.

Wed Nov 30 15:55:22 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2285_Regression/Hello.cpp:
        * orbsvcs/tests/Bug_2285_Regression/client2.cpp:
          Code cleanup

        * tests/Mixed_Sync_ASync_Events/main.cpp:
        * tests/Mixed_Sync_ASync_Events/test_i.cpp:
          Fixed LynxOS compile warnings

Tue Nov 29 15:50:06 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tao/ORB_Core.cpp:
        * tao/params.h:
        * tao/params.inl:
        * tao/params.cpp:

          Added -ORBUseHighresTimer ORB parameter switch to specifiy
          if the ORB should use the HR timer for the reactor timer queue
          and related objects (like countdowns).

        * tao/Transport.cpp:
        * tao/Leader_Follower.cpp:
        * tao/Messaging/Messaging_Queueing_Strategies.h:
        * tao/Messaging/Messaging_Queueing_Strategies.cpp:

          Changes to support the new UseHighresTimer switch.

Tue Nov 29 14:07:11 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/AMH_Skeletons.h:
        * tao/PortableServer/SUpcall_commands.h:
          Fixed pragma once warnings

Tue Nov 29 12:21:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Enable some more tests in the static configuration

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
          Doxygen changes and small code improvements

Tue Nov 29 12:15:13 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Added PolicyC.inl

        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:
          Layout changes to the generated code

Tue Nov 29 09:54:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
          Layout and fixed msvc problems

        * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
          First do a dynamic_cast and check the result before using it

Mon Nov 28 20:36:09 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * tao/tao.mpc:

          Set skel_export_macro and skel_export_include for Policy.pidl.

Mon Nov 28 19:14:23 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Policy.pidl shouldn't use -Sorb

Mon Nov 28 15:41:10 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_proxy_impl_sh.cpp:
        * TAO_IDL/be_include/be_interface.h:
          Reduced amount of static methods generated for direct collocation.
          Next step is to move the direct collocation static methods into
          the regular skeleton, there is really no need for its own
          special class hierarchy

        * tests/Skeleton_Inheritance/skel_inheritance.mpc:
          Enable direct collocation

Mon Nov 28 14:29:45 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ImR_Client.cpp:
        * tao/ImR_Client/ImplRepo.pidl:
        * tao/PortableServer/Operation_Table_Dynamic_Hash.cpp:
        * tao/PortableServer/Operation_Table_Perfect_Hash.cpp:
          Const and layout changes

Mon Nov 28 14:09:16 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
          Generate _tao_type for policy exceptions

Mon Nov 28 12:57:57 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * bin/tao_orb_tests.lst:

          Removed !FIXED_BUGS_ONLY for Bug_3000_Regression since this
          might be fixed.

Mon Nov 28 12:28:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Base.h:
        * tao/PortableServer/Servant_Base.cpp:
          Disable serveral methods with CORBA/e or minimum corba, fixes
          bugzilla 3019

Mon Nov 28 10:49:43 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taobaseidldefaults.mpb:
          Handle the S extension also manually, needed when using -oS

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
          When generating CORBA::Policy add some special methods

        * tao/AnyTypeCode/AnyTypeCode.mpc:
        * tao/PolicyS.h:
        * tao/PortableServer/PortableServer.mpc:
        * tao/tao.mpc:
          Generate the Policy.pidl as part of the build process, prevents
          us from doing manual hacks in the generated code

        * tao/AnyTypeCode/PolicyA.h:
        * tao/AnyTypeCode/PolicyA.cpp:
        * tao/PolicyC.h:
        * tao/PolicyC.inl:
        * tao/PolicyC.cpp:
        * tao/PortableServer/PolicyS.h:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/PolicyS_T.h:
        * tao/PortableServer/PolicyS_T.inl:
        * tao/PortableServer/PolicyS_T.cpp:
          Removed these files.

Mon Nov 28 08:26:29 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/facet_svth.cpp:
        * TAO_IDL/be/be_visitor_component/facet_svts.cpp:
        * TAO_IDL/be_include/be_visitor_component/facet_svth.h:
        * TAO_IDL/be_include/be_visitor_component/facet_svts.h:
        * TAO_IDL/be_include/be_visitor_root/root_svth.h:
          Fuzz.

Sun Nov 27 18:19:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        Merging in another set of changes. The skeletons got refactored even
        more and now the S.inl files are not generated anymore. For CIAO
        we now generate the facet servants in new _svnt_T.{h,cpp} files, which
        is the first step in a major refactoring and simplification of the
        CCM servants which is also a first step in the direction of a Common
        Component Model

        === start changelog ===

        Sat Nov 26 11:58:18 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_provides.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Fixed keyword clash regarding c++ keywords.

        Fri Nov 25 13:28:08 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/facet_svth.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svts.cpp:
                * TAO_IDL/be_include/be_visitor_component/facet_svth.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svts.h:
                  Templated servants for connector were not generated. Fixed this.

        Thu Nov 24 14:23:25 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                  Added appropriate ifdefs for including templated source
                  files.

                * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
                  Also generate the setters in case templated code,

        Thu Nov 24 12:19:07 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
                  Fixed an issues related to the generation of attribute
                  getter and setter methods.

        Thu Nov 24 11:14:31 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                  Don't use the fullname for the included template source.

        Thu Nov 24 10:59:28 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_provides.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                  Included templated source file into the templated header.
                  Fixed some compile issues related to this.

        Thu Nov 24 07:43:27 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/facet_svth.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svts.cpp:
                  Fixed warnings on windows.

        Thu Nov 24 07:25:47 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Fixed generation issue in case a component is not part of
                  module.

        Wed Nov 23 15:07:59 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/taobaseidldefaults.mpb:
                  Prevent building a second time when make was invoked a
                  second time.

        Fri Nov  4 15:45:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * examples/AMI/FL_Callback/FL_Callback.mpc:
                * examples/RTScheduling/Job.mpc:
                * examples/RTScheduling/Synch.mpc:
                * orbsvcs/orbsvcs/CosConcurrency.mpc:
                * orbsvcs/orbsvcs/CosEvent.mpc:
                * orbsvcs/orbsvcs/CosLifeCycle.mpc:
                * orbsvcs/orbsvcs/CosNaming_Skel.mpc:
                * orbsvcs/orbsvcs/CosNotification.mpc:
                * orbsvcs/orbsvcs/CosProperty.mpc:
                * orbsvcs/orbsvcs/CosTime.mpc:
                * orbsvcs/orbsvcs/CosTrading.mpc:
                * orbsvcs/orbsvcs/DsEventLogAdmin.mpc:
                * orbsvcs/orbsvcs/DsLogAdmin.mpc:
                * orbsvcs/orbsvcs/DsNotifyLogAdmin.mpc:
                * orbsvcs/orbsvcs/RTEventLogAdmin.mpc:
                * orbsvcs/orbsvcs/RTEvent_Skel.mpc:
                * orbsvcs/orbsvcs/ec_typed_events_skel.mpb:
                * tao/IFR_Client/IFR_Client.mpc:
                * tests/Alt_Mapping/alt_mapping.mpc:
                * tests/IDL_Inherited_Operation/InheritedOp.mpc:
                * tests/Monitor/Marshal_Buffer/marshal_buffer.mpc:
                * tests/Param_Test/Param_Test.mpc:
                  Removed all S.inl entries from the MPC files

        Fri Nov  4 16:17:33 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/tao_idl.1:
                * docs/compiler.html:
                * docs/tutorials/Quoter/Simple/Client/index.html:
                * orbsvcs/tests/Bug_1393_Regression/run_test.pl:
                * tests/Bug_3743_Regression/run_test.pl:
                  Removed references to S.inl files.

        Wed Nov 23 10:17:10 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_provides.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
                  Found a better way whether we need to use a templated
                  class definition

        Fri Nov  4 16:24:26 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/taobaseidldefaults.mpb:
                  Don't generate S.inl extensions in the make files.

        Tue Nov 22 15:53:18 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_provides.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svth.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svts.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                * TAO_IDL/be/be_visitor_module/module.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                * TAO_IDL/be_include/be_visitor_component/facet_svth.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svts.h:
                * TAO_IDL/be_include/be_visitor_operation/operation_svs.h:
                  Rename actions and prevented template declarations when not needed.

        Tue Nov 22 10:51:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL:

                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_global.cpp:
                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_produce.cpp:
                * TAO_IDL/be/be_util.cpp:

                * TAO_IDL/be/be_visitor_component/component.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:

                * TAO_IDL/be/be_visitor_interface.cpp:

                * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/interface.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:

                * TAO_IDL/be/be_visitor_module/module.cpp:

                * TAO_IDL/be/be_visitor_root.cpp:
                * TAO_IDL/be/be_visitor_valuetype.cpp:

                * TAO_IDL/be/be_visitor_valuetype/valuetype.cpp:

                * TAO_IDL/be_include/be_codegen.h:
                * TAO_IDL/be_include/be_global.h:
                * TAO_IDL/be_include/be_interface.h:
                * TAO_IDL/be_include/be_visitor_interface.h:

                * TAO_IDL/be_include/be_visitor_interface/amh_ss.h:
                * TAO_IDL/be_include/be_visitor_interface/interface_ss.h:

                * TAO_IDL/be_include/be_visitor_root.h:
                * TAO_IDL/be_include/be_visitor_valuetype.h:

                * TAO_IDL/tao_idl.1:
                  Merged in skeleton refactoring which now should work, no S.inl
                  files are generated anymore

                * TAO_IDL/be/be_visitor_interface/interface_si.cpp:
                * TAO_IDL/be/be_visitor_root/root_si.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_si.cpp:
                * TAO_IDL/be_include/be_visitor_interface/amh_si.h:
                * TAO_IDL/be_include/be_visitor_interface/interface_si.h:
                * TAO_IDL/be_include/be_visitor_root/root_si.h:
                * TAO_IDL/be_include/be_visitor_valuetype/valuetype_si.h:
                  Removed these files.

        Mon Nov 21 16:48:25 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_provides.cpp:
                  Removed _get_component method.

                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                  Added template argument to method declaration.

        Mon Nov 21 15:35:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_provides.cpp:
                  Layout changes in generated code.

        Mon Nov 21 15:21:53 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_provides.cpp:
                * TAO_IDL/be/be_visitor_component.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svth.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svts.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
                * TAO_IDL/be_include/be_provides.h:
                * TAO_IDL/be_include/be_visitor_component.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svth.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svts.h:
                  Template code for header is saved to _svnt_T.h.

                * TAO_IDL/be/be_visitor_component/facet_svh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svs.cpp:
                * TAO_IDL/be_include/be_visitor_component/facet_svh.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svs.h:
                  Renamed these files.

        Mon Nov 21 09:17:14 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_visitor_component/component_svh.cpp:
                * TAO_IDL/be/be_visitor_component/component_svs.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svs.cpp:
                * TAO_IDL/be/be_visitor_module/module.cpp:
                * TAO_IDL/be_include/be_codegen.h:
                * TAO_IDL/be_include/be_helper.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svh.h:
                * TAO_IDL/be_include/be_visitor_component/facet_svs.h:
                  Determined the right file to write to (_svnt_T.cpp/h).

        Thu Nov 17 15:55:04 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_sh.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
                * tao/Abstract_Servant_Base.h:
                * tao/Messaging/AMH_Skeletons.h:
                * tao/Messaging/AMH_Skeletons.cpp:
                * tao/PortableServer/Operation_Table.h:
                * tao/PortableServer/PolicyS.h:
                * tao/PortableServer/PolicyS.cpp:
                * tao/PortableServer/Servant_Base.h:
                * tao/PortableServer/Servant_Base.cpp:
                  Changed the third argument of the skel methods from void* to
                  TAO_ServantBase*. As a result the static_cast in the skeleton
                  methods has been replaced with a dynamic_cast, something we couldn't
                  use in the past when we wheren't allowed to use RTTI.

        Thu Nov 17 11:33:52 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/Abstract_Servant_Base.h:
                  synchronous_upcall_dispatch is not needed here

                * tao/PortableServer/PS_ForwardC.h:
                  Removed LocalServantBase, not part of CORBA anymore

                * tao/PortableServer/Servant_Base.h:
                * tao/PortableServer/Servant_Base.cpp:
                  Start changing void* to TAO_ServantBase*

                * tao/PortableServer/Local_Servant_Base.cpp:
                * tao/PortableServer/Local_Servant_Base.inl:
                * tao/PortableServer/Local_Servant_Base.h:
                  Removed these files, not part of the CORBA spec anymore

        Thu Nov 17 10:46:22 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/taobaseidldefaults.mpb:
                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_global.cpp:
                * TAO_IDL/be/be_produce.cpp:
                * TAO_IDL/be/be_visitor_component/component.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_svs.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                * TAO_IDL/be/be_visitor_module/module.cpp:
                * TAO_IDL/be/be_visitor_root.cpp:
                * TAO_IDL/be/be_visitor_root/root_svth.cpp:
                * TAO_IDL/be/be_visitor_root/root_svts.cpp:
                * TAO_IDL/be_include/be_codegen.h:
                * TAO_IDL/be_include/be_global.h:
                * TAO_IDL/be_include/be_visitor_root.h:
                * TAO_IDL/be_include/be_visitor_root/root_svth.h:
                * TAO_IDL/be_include/be_visitor_root/root_svts.h:
                  The IDL compileren doesn't generated the facet servants
                  in the _svnt.cpp/h files.
                  The IDL compiler now uses the template facet servant
                  implementation (which still need to be generated)
                  in the _svnt.cpp file.
                  The IDL compiler now creates the _svnt_T.cpp/h files and
                  initialize them.

        === end changelog ===

Thu Nov 24 08:33:42 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Mixed_Sync_ASync_Events/main.cpp:
        * tests/Mixed_Sync_ASync_Events/test_i.cpp:

          Fixed OpenVMS build errors.

Wed Nov 23 14:37:02 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * MPC/config/taobaseidldefaults.mpb:
        * MPC/modules/IDLHelper.pm:

          Moved addition of generated executor files (-Gex) from
          taobaseidldefaults.mpb to IDLHelper.pm to be able to
          correctly and transparently handle -oE and -oN switches.

Tue Nov 22 12:46:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3531b_Regression/server.cpp:

          Fix ST build errors.

Mon Nov 21 11:59:40 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Upcall_Wrapper.h:
          Fixed gcc warnings

Mon Nov 21 08:37:38 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Mixed_Sync_ASync_Events/test_i.h:
        * tests/Mixed_Sync_ASync_Events/test_i.cpp:
          New attempt to silence some compiler warnings.

Sun Nov 20 19:22:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Abstract_Servant_Base.h:
        * tao/PortableServer/Operation_Table.h:
        * tao/ServerRequestInterceptor_Adapter.h:
          Fixed gcc warnings

Sun Nov 20 19:16:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Skeleton_Inheritance/skel_inheritance.mpc:
          Fixed windows link errors

Thu Nov 17 17:15:35 UTC 2011  Trevor Fields  <fields_t@ociweb.com>

        * bin/tao_other_tests.lst:

          Added orbsvcs/tests/Security/MT_BiDir_SSL test.

Thu Nov 17 11:30:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ForwardUponObjectNotExist/client.cpp:
          First shutdown the ORB before destroying it

Thu Nov 17 10:05:08 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Thu Nov 17 07:35:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * performance-tests/Latency/DSI/Roundtrip.h:
                * performance-tests/Sequence_Latency/DSI/Roundtrip.h:
                * tests/DSI_AMI_Gateway/test_dsi.h:
                  Last runtime fixes

        Wed Nov 16 07:26:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.h:
                * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.h:
                  Doxygen changes

        Wed Nov 16 07:18:56 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/Roundtrip.h:
                * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/Roundtrip.h:
                * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/Roundtrip.h:
                * orbsvcs/tests/Bug_2285_Regression/Hello.h:
                * orbsvcs/tests/Bug_2287_Regression/Hello.h:
                * orbsvcs/tests/Bug_2615_Regression/Hello.h:
                * orbsvcs/tests/Bug_2800_Regression/Hello.h:
                * orbsvcs/tests/Bug_2800_Regression/NsShutdown.h:
                * orbsvcs/tests/Bug_3215_Regression/Hello.h:
                * orbsvcs/tests/Bug_3216_Regression/Hello.h:
                * orbsvcs/tests/Bug_3598b_Regression/Hello.h:
                * orbsvcs/tests/Bug_3673_Regression/Hello.h:
                * orbsvcs/tests/Bug_3673_Regression/NsShutdown.h:
                * orbsvcs/tests/COIOP_Naming_Test/Hello.h:
                * orbsvcs/tests/HTIOP/Hello/Hello.h:
                * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/GoodDay.h:
                * performance-tests/Latency/AMH_Single_Threaded/Roundtrip.h:
                * performance-tests/Latency/AMI/Roundtrip.h:
                * performance-tests/Latency/Collocation/Roundtrip.h:
                * performance-tests/Latency/DII/Roundtrip.h:
                * performance-tests/Latency/Deferred/Roundtrip.h:
                * performance-tests/Latency/Single_Threaded/Roundtrip.h:
                * performance-tests/Latency/Thread_Per_Connection/Roundtrip.h:
                * performance-tests/Latency/Thread_Pool/Roundtrip.h:
                * performance-tests/Memory/IORsize/Memory_Growth.h:
                * performance-tests/Memory/Single_Threaded/Memory_Growth.h:
                * performance-tests/Sequence_Latency/AMH_Single_Threaded/Roundtrip.h:
                * performance-tests/Sequence_Latency/AMI/Roundtrip.h:
                * performance-tests/Sequence_Latency/DII/Roundtrip.h:
                * performance-tests/Sequence_Latency/Deferred/Roundtrip.h:
                * performance-tests/Sequence_Latency/Single_Threaded/Roundtrip.h:
                * performance-tests/Sequence_Latency/Thread_Per_Connection/Roundtrip.h:
                * performance-tests/Sequence_Latency/Thread_Pool/Roundtrip.h:
                * tests/Bug_1330_Regression/Test_i.h:
                * tests/Bug_1482_Regression/Hello.h:
                * tests/Bug_2084_Regression/EventNode.h:
                * tests/Bug_2084_Regression/Hello.h:
                * tests/Bug_2183_Regression/Hello.h:
                * tests/Bug_2186_Regression/Hello.h:
                * tests/Bug_2241_Regression/Hello.h:
                * tests/Bug_2328_Regression/Hello.h:
                * tests/Bug_2593_Regression/Hello.h:
                * tests/Bug_2654_Regression/Hello.h:
                * tests/Bug_2683_Regression/test_i.h:
                * tests/Bug_2768_Regression/Messenger_i.h:
                * tests/Bug_2966_Regression/Hello.h:
                * tests/Bug_3299_Regression/Hello.h:
                * tests/Bug_3333_Regression/Hello.h:
                * tests/Bug_3430_Regression/Hello.h:
                * tests/Bug_3479_Regression/Hello.h:
                * tests/Bug_3547_Regression/Stock_Quoter_i.h:
                * tests/Bug_3553_Regression/Hello.h:
                * tests/Bug_3558_Regression/Hello.h:
                * tests/Bug_3598a_Regression/Hello.h:
                * tests/Bug_3636_Regression/Hello.h:
                * tests/Bug_3676_Regression/Hello.h:
                * tests/Bug_3746_Regression/Test_i.h:
                * tests/Bug_3748_Regression/Hello.h:
                * tests/Bug_3790_Regression/simple_test_i.h:
                * tests/Bug_3837_Regression/Hello.h:
                * tests/Bug_3896_Regression/Hello.h:
                * tests/Bug_3954_Regression/Hello.h:
                * tests/Bug_933_Regression/Messenger_i.h:
                * tests/COIOP/Hello.h:
                * tests/CSD_Strategy_Tests/TP_Test_Dynamic/Hello.h:
                * tests/Cache_Growth_Test/Hello.h:
                * tests/Client_Leaks/Process.h:
                * tests/Client_Leaks/Process_Factory.h:
                * tests/Collocated_Best/Collocated_Best_Direct/Hello.h:
                * tests/Collocated_Best/Collocated_Best_NoColl/Hello.h:
                * tests/Collocated_Best/Collocated_Best_ThuP/Hello.h:
                * tests/Collocated_DerivedIF/Hello.h:
                * tests/Collocated_NoColl/Hello.h:
                * tests/Collocated_ThruP_Sp/Hello.h:
                * tests/Collocated_ThruP_Sp_Gd/Hello.h:
                * tests/Collocation_Exception_Test/Hello.h:
                * tests/Collocation_Oneway_Tests/Hello.h:
                * tests/Collocation_Tests/Hello.h:
                * tests/Connect_Strategy_Test/Hello.h:
                * tests/DII_Collocation_Tests/oneway/Hello.h:
                * tests/DII_Collocation_Tests/twoway/Hello.h:
                * tests/DSI_AMH/Roundtrip.h:
                * tests/Hello/Hello.h:
                * tests/IPV6/Hello.h:
                * tests/LongDouble/LongDoubleTest.h:
                * tests/MT_Timeout/Sleep_Service.h:
                * tests/ORB_Local_Config/Two_DLL_ORB/Test_i.h:
                * tests/ORB_shutdown/Foo_Bar.h:
                * tests/Ondemand_Write/Hello.h:
                * tests/POA/Deactivate_Object/Hello.h:
                * tests/POA/EndpointPolicy/Hello.h:
                * tests/Parallel_Connect_Strategy/Test_i.h:
                * tests/Portable_Interceptors/Bug_2133/Hello.h:
                * tests/Reliable_Oneways/Oneway_Receiver.h:
                * tests/Reliable_Oneways/Shutdown_Helper.h:
                * tests/Servant_To_Reference_Test/Test_i.h:
                * tests/Server_Leaks/Ping_Service.h:
                * tests/Server_Port_Zero/Hello.h:
                * tests/Skeleton_Inheritance/interface_3_i.h:
                * tests/Two_Objects/First_i.h:
                * tests/Two_Objects/Object_Factory_i.h:
                * tests/Two_Objects/Second_i.h:
                * tests/ZIOP/Hello.h:
                  Fixed typo in comment

        Wed Nov 16 07:14:48 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/DynamicInterface/Dynamic_Implementation.h:
                * tao/DynamicInterface/Dynamic_Implementation.cpp:
                * tao/PortableServer/Servant_Base.cpp:
                * tests/DSI_AMH/Roundtrip.h:
                * tests/DSI_AMH/Roundtrip.cpp:
                  Fixed compile problems due to change of signature of _dispatch

        Tue Nov 15 09:36:35 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_sh.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
                * tao/Abstract_Servant_Base.h:
                * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.h:
                * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:
                * tao/CSD_Framework/CSD_Strategy_Base.inl:
                * tao/CSD_Framework/CSD_Strategy_Proxy.inl:
                * tao/CSD_ThreadPool/CSD_TP_Corba_Request.h:
                * tao/CSD_ThreadPool/CSD_TP_Corba_Request.inl:
                * tao/Messaging/AMH_Skeletons.h:
                * tao/Messaging/AMH_Skeletons.cpp:
                * tao/PI_Server/ServerInterceptorAdapter.h:
                * tao/PI_Server/ServerInterceptorAdapter.cpp:
                * tao/PortableServer/Local_Servant_Base.h:
                * tao/PortableServer/Local_Servant_Base.cpp:
                * tao/PortableServer/Operation_Table.h:
                * tao/PortableServer/PolicyS.h:
                * tao/PortableServer/PolicyS.cpp:
                * tao/PortableServer/Servant_Base.h:
                * tao/PortableServer/Servant_Base.cpp:
                * tao/PortableServer/Upcall_Wrapper.h:
                * tao/PortableServer/Upcall_Wrapper.cpp:
                * tao/ServerRequestInterceptor_Adapter.h:
                  Changed the second argument of all skel methods from void* to
                  TAO::Portable_Server::Servant_Upcall*. I found  CSD_TP_Corba_Request
                  just passes 0 for this argument, reported bugzilla 3993 for this,
                  when CSD passes always a valid pointer we could even use a reference
                  instead of a pointer

        Tue Nov 15 09:13:11 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                  _repository_id occured twice in the op table. Fixed this.

        Mon Nov 14 13:24:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                  Added some more comments on the AMH detection.

        Fri Nov 11 15:29:15 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/Skeleton_Inheritance/skel_inheritance.mpc:
                  Fixed linker errors on windows.

        Fri Nov 11 14:33:22 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_amh_pre_proc.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * TAO_IDL/be_include/be_interface.h:
                  Changed the AMH is detected.

        Fri Nov 11 13:56:31 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_amh_pre_proc.cpp:
                * TAO_IDL/be_include/be_interface.h:
                  Invoking amh specific _*_skel methods in
                  case AMH.

                * tao/Messaging/AMH_Skeletons.h:
                * tao/Messaging/AMH_Skeletons.cpp:
                * tao/PortableServer/Servant_Base.h:
                * tao/PortableServer/Servant_Base.cpp:
                  Created a set of _*_skel methods for amh.
                  Put these in Messaging since we don't want to
                  bother the core with AMH stuff.

        Fri Nov 11 09:52:26 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * tao/PortableServer/SUpcall_commands.h:
                * tao/PortableServer/SUpcall_commands.cpp:
                * tao/PortableServer/Servant_Base.h:
                * tao/PortableServer/Servant_Base.cpp:
                  Moved the default _*_skel method to the core. This mean
                  a lot less generated code.

                * bin/tao_orb_tests.lst:
                * tests/Skeleton_Inheritance:
                * tests/Skeleton_Inheritance/client.cpp:
                * tests/Skeleton_Inheritance/idl_1.idl:
                * tests/Skeleton_Inheritance/idl_2.idl:
                * tests/Skeleton_Inheritance/idl_3.idl:
                * tests/Skeleton_Inheritance/interface_3_i.h:
                * tests/Skeleton_Inheritance/interface_3_i.cpp:
                * tests/Skeleton_Inheritance/run_test.pl:
                * tests/Skeleton_Inheritance/server.cpp:
                * tests/Skeleton_Inheritance/skel_inheritance.mpc:
                  New test.

        === end changelog ===

Wed Nov 16 22:23:08 UTC 2011  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/tests/Security/MT_BiDir_SSL:
        * orbsvcs/tests/Security/MT_BiDir_SSL/client.conf:
        * orbsvcs/tests/Security/MT_BiDir_SSL/client.conf.xml:
        * orbsvcs/tests/Security/MT_BiDir_SSL/client.cpp:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Client_Task.cpp:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Client_Task.h:
        * orbsvcs/tests/Security/MT_BiDir_SSL/MT_BiDir_SSL.mpc:
        * orbsvcs/tests/Security/MT_BiDir_SSL/README:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Receiver.idl:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Receiver_i.cpp:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Receiver_i.h:
        * orbsvcs/tests/Security/MT_BiDir_SSL/run_test.pl:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Sender.idl:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Sender_i.cpp:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Sender_i.h:
        * orbsvcs/tests/Security/MT_BiDir_SSL/server.conf:
        * orbsvcs/tests/Security/MT_BiDir_SSL/server.conf.xml:
        * orbsvcs/tests/Security/MT_BiDir_SSL/server.cpp:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Server_Task.cpp:
        * orbsvcs/tests/Security/MT_BiDir_SSL/Server_Task.h:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl/ca.pem:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl/client-cert.pem:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl/client-key.pem:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl/make-client-keys:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl/server-cert.pem:
        * orbsvcs/tests/Security/MT_BiDir_SSL/ssl/server-key.pem:

          Test for SSLIOP creating connections to exceed the
          ORBMuxedConnectionMax setting.

Tue Nov 15 22:13:12 UTC 2011  Trevor Fields  <fields_t@ociweb.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:

          Check whether creating a new connection exceeds the
          ORBMuxedConnectionMax setting.

Tue Nov 15 15:43:31 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3531b_Regression/server.cpp:
          Fixed ST build compile error.

        * tests/Mixed_Sync_ASync_Events/test_i.cpp:
          Trying to silence strict aliasing warnings.

Tue Nov 15 08:23:08 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * NEWS:
        * docs/Options.html:

          Updated for RW & EXCLUSIVE changes.

Mon Nov 14 09:22:08 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Mixed_Sync_ASync_Events/MixedSyncASyncEvents.mpc:
        * tests/Mixed_Sync_ASync_Events/main.cpp:
        * tests/Mixed_Sync_ASync_Events/test.idl:
        * tests/Mixed_Sync_ASync_Events/test_i.cpp:

          Fuzz fixes.

Mon Nov 14 06:39:28 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Wait_Never.cpp:

          Fixed unused arguments.

Sun Nov 13 21:40:34 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Wait_Never.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Wait_Never.cpp:

          Fixed signature for virtual override.

        * tests/Mixed_Sync_ASync_Events/main.cpp:

          Fixed WChar build error.

Sun Nov 13 12:00:36 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Mixed_Sync_ASync_Events/test_i.cpp:

          Extended test.

Sun Nov 13 11:31:21 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Mixed_Sync_ASync_Events/main.cpp:
        * tests/Mixed_Sync_ASync_Events/test_i.h:
        * tests/Mixed_Sync_ASync_Events/test_i.cpp:

          Fixed more Win32 warnings and compile errors :-(

Sun Nov 13 11:03:23 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Mixed_Sync_ASync_Events/main.cpp:
        * tests/Mixed_Sync_ASync_Events/test.idl:
        * tests/Mixed_Sync_ASync_Events/test_i.h:
        * tests/Mixed_Sync_ASync_Events/test_i.cpp:

          Fixed Win32 compiler errors.

Sat Nov 12 10:41:33 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:

          Fixed compile errors because of core changes from branch merge.

Fri Nov 11 11:22:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged rw_block_strategy branch.

        === start changelog ===

        Thu Nov 10 08:04:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * TAO/tests/Bug_3531b_Regression/server.cpp:

                  Fixed compiler error due to core changes.

        Wed Nov  9 08:24:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tests/Mixed_Sync_ASync_Events/MixedSyncASyncEvents.mpc:
                * tests/Mixed_Sync_ASync_Events/main.cpp:
                * tests/Mixed_Sync_ASync_Events/run_test.pl:
                * tests/Mixed_Sync_ASync_Events/test.idl:
                * tests/Mixed_Sync_ASync_Events/test_i.cpp:
                * tests/Mixed_Sync_ASync_Events/test_i.h:

                  Added new regression test mixing Synch requests with
                  Asynch (AMI) and timer and notification events in a
                  (semi) random order.

                * tests/Mixed_Sync_ASync_Events/exclusive_rw.conf:
                * tests/Mixed_Sync_ASync_Events/exclusive_rw.conf.xml:
                * tests/Mixed_Sync_ASync_Events/run_exclusive_rw.pl:

                  Config and script to run the new test in full blocking
                  mode (RW, Exclusive TMS, blocking connect and flushing).

                * bin/tao_orb_tests.lst:

                  Added new regression tests.

        Tue Nov  8 11:50:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tests/AMI/client.cpp:
                * tests/AMI/exclusive_rw.conf:
                * tests/AMI/exclusive_rw.conf.xml:
                * tests/AMI/run_exclusive_rw.pl:

                  Adedd test variant for full blocking configuration
                  (RW + EXCLUSIVE TMS + blocking connect and flushing)

        Sun Nov  6 18:08:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tao/CDR.cpp:
                * tao/Exclusive_TMS.cpp:
                * tao/GIOP_Message_Base.cpp:
                * tao/IIOP_Transport.h:
                * tao/LocateRequest_Invocation.cpp:
                * tao/Message_Semantics.h:
                * tao/Messaging/AMH_Response_Handler.cpp:
                * tao/Messaging/Asynch_Invocation.cpp:
                * tao/Strategies/COIOP_Transport.h:
                * tao/Strategies/DIOP_Transport.h:
                * tao/Strategies/SCIOP_Transport.h:
                * tao/Strategies/SHMIOP_Transport.h:
                * tao/Strategies/UIOP_Transport.h:
                * tao/Synch_Invocation.cpp:
                * tao/TAO_Server_Request.cpp:
                * tao/Transport.cpp:
                * tao/Transport.h:
                * tao/Wait_On_Leader_Follower.cpp:
                * tao/Wait_On_Leader_Follower.h:
                * tao/Wait_On_Read.cpp:
                * tao/Wait_On_Read.h:
                * tao/Wait_Strategy.cpp:
                * tao/Wait_Strategy.h:

                  Changes to make the RW client wait strategy (in combination with
                  the Exclusive transport muxing strategy) play nice with AMI.
                  The essence of the problem of RW not working with AMI was that
                  AMI requires transports to be registered with the reactor (so
                  reply events can be handled) which is what RW prevented for all
                  client transports.
                  The changes provide a means for RW to recognize transports for
                  Async client requests and register these with the reactor just
                  before sending the request and removing them from the reactor
                  again when the request has finished (reply received, timed out
                  or disconnected).

        Sun Nov  6 11:54:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tests/AMI/simple_client.cpp:

                  Extended test.

        Sun Nov  6 11:42:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tao/default_client.cpp:
                * tao/default_resource.cpp:

                  Add support for additional compiletime selection macros
                  for Client Wait strategy, Client connect strategy,
                  TMS strategy and flushing strategy.

        Fri Nov  4 22:0:29 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tao/Exclusive_TMS.cpp:
                * tao/Messaging/Asynch_Invocation.cpp:
                * tao/Messaging/Asynch_Reply_Dispatcher.cpp:

                  Fixed to allow use of Exclusive TMS with AMI requests.

        === end changelog ===

Wed Nov  9 13:34:13 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Log.cpp:

          Fix compile-time warning.

Wed Nov  9 10:25:09 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3768_Regression/TestCallback.cpp:
        * tests/Bug_3768_Regression/server.cpp:

          Cleaned up test to behave more properly to fix segfaults
          and other failures.

Tue Nov  8 19:11:46 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Activator.idl:
        * orbsvcs/ImplRepo_Service/ImR_Locator.idl:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/Locator_Options.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.h:
        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
        * orbsvcs/ImplRepo_Service/Server_Info.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
          Doxygen and unicode improvements

Mon Nov  7 22:07:18 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.h:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.h:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/PeerProcess.cpp:
        * utils/logWalker/Session.h:
        * utils/logWalker/Session.cpp:
        * utils/logWalker/logWalker.cpp:

          Added basic support for tracking SSLIOP connections. Fixed some
          memory leak issues reported by valgrind. Added a new date format
          selector to accommodate two different time/date formats used by
          -ORBVerboseLogging 1.

Mon Nov  07 10:31:14 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * docs/compilet.html:
        Add option -oE and -oN .

Mon Nov  07 10:10:14 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_util.h:
        Add option -oE: Output directory for the generated CIAO executor files
        and option -oN for not overwrite CIAO executor files.

Sat Nov 05 18:18:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3531b_Regression/server.cpp:
          Fixed WChar build problems.

Fri Nov  4 07:28:29 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Options.html:
          Extended documentation for ORBWaitStrategy mt_noupcall

Thu Nov 03 09:51:13 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
        Fixed error in previous commit

Thu Nov 03 08:45:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3531b_Regression/server.cpp:
          Fixed compile warning on Solaris10 build.

Wed Nov 02 13:30:13 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
          Put narrow in var, use ACE_NEW  with CIAO_FACET


Wed Nov 02 08:30:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Tue Nov  1 14:29:07 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
                  Fixed link issues on windows.

        Tue Nov  1 12:52:03 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
                * TAO_IDL/be/be_visitor_component/component_exh.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
                  Reverted a few of my last changes. An derived executor
                  is not directly derived from its base anymore (on
                  executor IDL level as well as on implementation level).

        Mon Oct 31 15:14:05 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_type.cpp:
                  Fixed new line.

        Fri Oct 28 11:22:03 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/Bug_3768_Regression/TestCallback.cpp:
                * tests/Bug_3768_Regression/TestServer.cpp:
                * tests/Bug_3768_Regression/client.cpp:
                * tests/Bug_3768_Regression/server.cpp:
                  Fuzz.

        Fri Oct 28 10:35:06 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tests/Bug_3531b_Regression/server.cpp:

                  Fix for Windoze runtime problem with TSS.

        Fri Oct 28 10:22:48 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_array.cpp:
                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_component.cpp:
                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_type.cpp:
                * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_array/array_ch.cpp:
                * TAO_IDL/be/be_visitor_array/array_cs.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                * TAO_IDL/be/be_visitor_connector/facet_ami_exs.cpp:
                * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_exception/exception_ch.cpp:
                * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_rh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/direct_proxy_impl_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/smart_proxy_cs.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_rh_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_sh.cpp:
                * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_cs.cpp:
                * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
                * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/tie_ss.cpp:
                * TAO_IDL/be/be_visitor_root/root_ch.cpp:
                * TAO_IDL/be/be_visitor_root/root_sth.cpp:
                * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
                * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
                * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_structure/structure_cs.cpp:
                * TAO_IDL/be/be_visitor_template_export.cpp:
                * TAO_IDL/be/be_visitor_typedef/typedef_ci.cpp:
                * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_union/discriminant_ci.cpp:
                * TAO_IDL/be/be_visitor_union_branch/public_ci.cpp:
                * TAO_IDL/be/be_visitor_valuebox/cdr_op_cs.cpp:
                * TAO_IDL/be/be_visitor_valuebox/valuebox_ci.cpp:
                * TAO_IDL/be/be_visitor_valuebox/valuebox_cs.cpp:
                * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
                * TAO_IDL/be/be_visitor_valuetype/field_cdr_cs.cpp:
                * TAO_IDL/be/be_visitor_valuetype/field_cs.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_ci.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_init_cs.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_ss.cpp:
                  Reduced whitespaces in generated code.

                * TAO_IDL/be/be_visitor_interface/tie_ss.cpp:
                  Removed tabs from generated code.


        Fri Oct 28 09:23:52 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tests/Bug_3531b_Regression/server.cpp:

                  Fix for Windoze compile problem.

        Fri Oct 28 07:36:43 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
                * TAO_IDL/be/be_visitor_component/executor_private_exh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
                  Fixed compile issues.

        Thu Oct 27 08:05:28 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
                  Removed the overrides of _is_a, marshal and _repository_id since
                  these methods are not needed anymore.

        Wed Oct 26 13:38:02 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
                * TAO_IDL/be/be_visitor_component/component_exh.cpp:
                * TAO_IDL/be/be_visitor_component/component_exs.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
                * TAO_IDL/be/be_visitor_component/executor_exs_attr_init.cpp:
                * TAO_IDL/be/be_visitor_component/executor_private_exh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
                  Fixed issues regarding derived components. Derived component
                  were not derived from the base implementation. Instead of deriving
                  from the base implementation, a whole new base executor was
                  generated and still wasn't derived from this. Now there's
                  one base implementation where the derived executor is derived from.

                * TAO_IDL/be/be_visitor_component/executor_ex_idl.cpp:
                  Fixed compile issues when a derived interface supports
                  another interface.

        Mon Oct 24 11:50:33 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * tao/Connection_Handler.cpp:
                * tao/Leader_Follower.h:
                * tao/Leader_Follower.inl:
                * tao/Leader_Follower.cpp:
                * tao/Wait_On_LF_No_Upcall.h:
                * tao/Wait_On_LF_No_Upcall.cpp:
                * tao/Wait_On_Leader_Follower.h:
                * tao/Wait_Strategy.h:
                * tao/Wait_Strategy.cpp:

                  Implemented a solution for two known problems:
                  a) deadlocking possibility because of upcall handling
                    in client leader threads without abdicating
                    leadership
                  b) inefficient handling of nested upcalls in
                    client leader threads in case MT_NOUPCALL
                    strategy
                  This solution implements leadership abdication
                  (as also proposed by Russell Mora in Bugzilla #3531
                  and David Kinder in Bugzilla #3768) when a client
                  leader thread receives an upcall (triggering a
                  call to Leader_Follower::set_upcall_thread) so
                  any waiting (regular) leader thread could now
                  take over. Futhermore leader abdication for client
                  leader threads is also implemented in case an event
                  causes a client leader thread to wake up and it detects
                  leader threads waiting which are capable to take over
                  leadership.
                  With this out of the way the solution for MT_NOUPCALL
                  could now be optimized with a 'handle deferring'
                  mechanism which allows a client leader thread to
                  temporarily defer an upcall until the client leader
                  thread has abdicated and leadership switches (which
                  should happen almost immediately after the client
                  leader thread deferred the upcall handle(r)).

                * tao/Resume_Handle_Deferred.h:
                * tao/Resume_Handle_Deferred.cpp:

                  Removed these files. Part of previous, non-optimal,
                  MT_NOUPCALL solution.

                * tao/tao.mpc:

                  Removed Resume_Handle_Deferred.{h,cpp}

                * tests/Bug_3531b_Regression/Bug_3531b_Regression.mpc:
                * tests/Bug_3531b_Regression/server.cpp:

                  Fixed compile problems due to TAO version
                  incompatibilities and removed dummy_label
                  restriction.

                * tests/Bug_3768_Regression:
                * tests/Bug_3768_Regression/Bug_3768_Test.mpc:
                * tests/Bug_3768_Regression/Test.idl:
                * tests/Bug_3768_Regression/TestCallback.h:
                * tests/Bug_3768_Regression/TestCallback.cpp:
                * tests/Bug_3768_Regression/TestServer.h:
                * tests/Bug_3768_Regression/TestServer.cpp:
                * tests/Bug_3768_Regression/client.cpp:
                * tests/Bug_3768_Regression/run_test.pl:
                * tests/Bug_3768_Regression/server.cpp:

                  Added new test for Bugzilla #3768.

                * bin/tao_orb_tests.lst

                  Added Bug_3531_Regression, Bug_3531b_Regression and
                  Bug_3768_Regression to regular test runs.

        === end changelog ===

Tue Nov 01 14:34:13 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>
        * On_Demand_Act_Direct_Coll/Collocated_Test.cpp:
        * On_Demand_Act_Direct_Coll/test_i.cpp:
        * On_Demand_Act_Direct_Coll/test_i.h:
        * On_Demand_Act_Direct_Coll/Client_Task.cpp:
        * On_Demand_Act_Direct_Coll/test.idl:
        Clean up test.


Tue Nov 01 10:54:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy SA work branch.

        === start changelog ===

        Mon Oct 31 13:14:04 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                Add safe_servant_base in CIAO consumers servant


        Fri Oct 28 11:37:40 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                Changes for removing activators for CIAO consumers

        Wed Oct 26 07:18:40 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                Remove include files for ciao servant- and port_activator.

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                Changes for removing activators in CIAO

        === end changelog ===

Thu Oct 27 16:16:09 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.h:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Log.cpp:

          Clean up treatment of connection closure and reuse of handles.

Thu Oct 27 12:13:40 UTC 2011  Simon Massey <sma at prismtech dot com>

        * tao/PI_Server/PI_Server_include.pidl:
        Was duplicating the tao/PortableServer/PortableServer_include.pidl
        #define guard name.

Tue Oct 25 08:10:00 UTC 2011  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * tests/POA/On_Demand_Act_Direct_Coll/Client_Task.cpp:
        Solved error in destroying the orb.

Fri Oct 21 14:44:28 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IORManipulation/IORManipulation.mpc:
        * tao/IORTable/IORTable.mpc:
        * tao/ZIOP/ZIOP.mpc:
          Generate export files as part of the build

        * tao/IORManipulation/ior_manip_export.h:
        * tao/IORTable/iortable_export.h:
        * tao/ZIOP/ziop_export.h:
          Removed these files.

        * tao/ZIOP/ZIOP.h:
          Doxygen fix

Thu Oct 20 17:34:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/POA/On_Demand_Act_Direct_Coll/On_Demand_Act_D_Coll.mpc:
          Don't build this test with minimum corba and CORBA/e

Thu Oct 20 12:50:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be_include/be_interface.h:
          Fixed gcc warning

Tue Oct 20 09:30:13 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Thu Oct 20 08:42:33 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * On_Demand_Act_Direct_Coll:
                * On_Demand_Act_Direct_Coll/Collocated_Test.cpp:
                * On_Demand_Act_Direct_Coll/Servant_Activator.cpp:
                * On_Demand_Act_Direct_Coll/test_i.cpp:
                * On_Demand_Act_Direct_Coll/Server_Task.h:
                * On_Demand_Act_Direct_Coll/run_test.pl:
                * On_Demand_Act_Direct_Coll/test_i.h:
                * On_Demand_Act_Direct_Coll/Client_Task.cpp:
                * On_Demand_Act_Direct_Coll/Server_Task.cpp:
                * On_Demand_Act_Direct_Coll/Servant_Activator.h:
                * On_Demand_Act_Direct_Coll/Client_Task.h:
                * On_Demand_Act_Direct_Coll/On_Demand_Act_D_Coll.mpc:
                * On_Demand_Act_Direct_Coll/test.idl:
                Test with Servant Activator and thru_poa- and direct collocation.

                * bin/tao_orb_tests.lst
                Added On_Demand_Act_Direct_Coll test.


        Wed Oct 19 14:15:57 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * docs/tutorials/Quoter/RTCORBA/Broker.cpp:
                * docs/tutorials/Quoter/RTCORBA/docs/distributor.html:
                  Fixed typos.

                * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.h:
                  Fixed typo.

                * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.cpp:
                  ++x instead of x++;

        Tue Oct 18 13:47:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svh.cpp:
                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Reverted last changes. Need a more robust implementation to
                  fix re-entrancy

        Tue Oct 18 11:35:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
                * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
                  Layout changes to the generated code

        Tue Oct 18 10:51:21 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svh.cpp:
                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Using recursive mutexes instead of normal mutexes.

        Tue Oct 18 10:39:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Fixed a minor indentation issue.

        Tue Oct 18 10:03:32 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Using the container_ variable in a thread safe way.

        Tue Oct 18 07:01:33 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>
                * tests/Collocated_DerivedIF/Collocated_DerivedIF.mpc:
                Changes for duplicate project names.

        Mon Oct 17 13:08:33 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>
                * tests/Collocated_DerivedIF:
                * tests/Collocated_DerivedIF/Client_Task.h:
                * tests/Collocated_DerivedIF/Client_Task.cpp:
                * tests/Collocated_DerivedIF/Collocated_DerivedIF.mpc:
                * tests/Collocated_DerivedIF/Collocated_Test.cpp:
                * tests/Collocated_DerivedIF/Hello.h:
                * tests/Collocated_DerivedIF/Hello.cpp:
                * tests/Collocated_DerivedIF/Server_Task.h:
                * tests/Collocated_DerivedIF/Server_Task.cpp:
                * tests/Collocated_DerivedIF/Test.idl:
                * tests/Collocated_DerivedIFl/run_test.pl:
                * tests/Collocated_DerivedIFl/README:
                Test for -ORBCollocationStrategy direct and interface inheritance

                * tests/Collocated_Best/README:
              Add ID

        Mon Oct 17 12:33:33 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>
                * docs/Options.html
                Added new define TAO_DEFAULT_COLLOCATION_STRATEGY .

        Mon Oct 17 11:41:33 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>
                * docs/Options.html
                Add new ORBCollocationStrategy best .

        Thu Oct 13 12:57:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be_include/be_valuetype.h:
                * TAO_IDL/be/be_valuetype.cpp:
                  Removed gen_skel_helper from here, not used at all

                * orbsvcs/tests/Notify/lib/Options_Parser.cpp:
                  Fixed compile error with gcc 4.6

        Thu Oct 13 12:14:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
                  static_cast seems to be required, not sure why, reverting this part
                  to get our branch build green again

        Thu Oct 13 11:15:06 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/AnyTypeCode/Any_Impl.cpp:
                  Layout changes

                * tao/LocalObject.cpp:
                * tao/Object.cpp:
                  Log an error before throwing a NO_IMPLEMENT system exception

        Thu Oct 13 07:15:34 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
                  Further reduction of code being generated in case of interface
                  inheritance

        Thu Oct 13 06:46:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                  Fixed problem with num_args that still was generated for arguments

        Wed Oct 12 14:14:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_si.cpp:
                  Changed indentation and removed not needed static cast in the
                  generated code

        Wed Oct 12 12:06:33 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>
                * tests/Collocated_NoColl:
                * tests/Collocated_NoColl/Client_Task.h:
                * tests/Collocated_NoColl/Client_Task.cpp:
                * tests/Collocated_NoColl/Collocated_NoColl.mpc:
                * tests/Collocated_NoColl/Collocated_Test.cpp:
                * tests/Collocated_NoColl/Hello.h:
                * tests/Collocated_NoColl/Hello.cpp:
                * tests/Collocated_NoColl/Server_Task.h:
                * tests/Collocated_NoColl/Server_Task.cpp:
                * tests/Collocated_NoColl/Test.idl:
                * tests/Collocated_NoColl/run_test.pl:
                Test for -ORBCollocation NO


        Wed Oct 12 12:02:04 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/Collocation_Strategy.h:
                * tao/Invocation_Adapter.cpp:
                  Print the collocation strategy that we have determined

                * tests/Hello/run_test.pl:
                  Added -cdebug that enables ORBDebugLevel 10 for the client

        Wed Oct 12 10:09:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/proxy_impl_xh.cpp:
                * tao/Abstract_Servant_Base.h:
                * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.cpp:
                * tao/PortableServer/Operation_Table.h:
                  Removed the num_args argument for the direct collocation skeleton
                  functions because it was not used at all

        Wed Oct 12 09:55:38 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                * tao/Object_T.h:
                * tao/Object_T.cpp:
                * tao/PolicyC.cpp:
                * tao/Valuetype/AbstractBase_T.h:
                * tao/Valuetype/AbstractBase_T.cpp:
                  unchecked_narrow method was available with and without repository_id
                  argument but that wasn't used at all. merged both methods into one
                  and updated tao_idl code generation to not generate the repository_id
                  anymore

        Wed Oct 12 09:01:19 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * tao/Object_T.h:
                * tao/Object_T.cpp:
                * tao/PolicyC.cpp:
                * tao/PortableServer/PolicyS.cpp:
                * tao/Valuetype/AbstractBase_T.h:
                * tao/Valuetype/AbstractBase_T.cpp:
                  Removed the collocation opportunity from the narrow calls, the
                  boolean collocated only means whether the servant is collocated or
                  not and shouldn't include the fact whether we have a collocation
                  opportunity or not

        Tue Oct 11 17:38:06 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tests/Collocated_Best/Collocated_Best_Direct/Client_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_NoColl/Client_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_ThuP/Client_Task.cpp:
                  Also check the string that returned

        Tue Oct 11 10:53:17 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/Object_T.cpp:
                  Don't use collocation opportunity, just determine whether the
                  object is collocated or not. If this doesn't break any tests, we
                  need to do some more cleanup here

        Tue Oct 11 10:41:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/CORBANAME_Parser.cpp:
                * tao/Remote_Object_Proxy_Broker.cpp:
                  Enable through poa collocation by default

        Tue Oct 11 07:17:47 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                  Layout changes and just always generate the orb optimize flags

        Mon Oct 10 17:43:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/IIOP_Connector.cpp:
                * tao/Invocation_Adapter.h:
                * tao/Invocation_Adapter.cpp:
                * tao/ORB_Core.h:
                * tao/ORB_Core.cpp:
                  Moved collocation_strategy from the orb core to the invocation adapter

                * tests/Collocated_ThruP_Sp/Collocated_Test.cpp:
                * tests/Collocated_ThruP_Sp/README:
                * tests/Collocated_ThruP_Sp/Server_Task.cpp:
                * tests/Collocated_ThruP_Sp/run_test.pl:
                * tests/Collocated_ThruP_Sp_Gd/README:
                * tests/Collocated_ThruP_Sp_Gd/run_test.pl:
                  Add -debug to the script, layout changes, missing Id

        Fri Oct  7 10:54:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/ORB_Core.cpp:
                  Tweaked collocation strategy a little bit more, for direct we need
                  a servant, not for poa. If we are not collocated, we just go remote and
                  not give an exception

        Fri Oct  7 09:17:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                  Layout change to generated code

                * tao/Invocation_Adapter.cpp:
                  Removed the check that servant != 0 before being able to invoke
                  collocated, collocation opportunities test shows a case where this
                  happens

                * tao/ORB_Core.cpp:
                  Added logging before we throw an exception related to collocation
                  mis configuration. If we are collocated with best opportunity without
                  any opportunity we default to remote instead of having an exception.
                  Through poa seems possible without a servant pointer

        Thu Oct  6 09:34:57 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

              * tao/DynamicInterface/DII_Invocation_Adapter.cpp:
              Set collocation_opportunity to TAO_CO_THRU_POA_STRATEGY instead of 0.

        Thu Oct  6 08:56:57 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
                * orbsvcs/examples/RtEC/IIOPGateway/RtEC_IIOPGateway.mpc:
                * tests/Oneway_Buffering/Oneway_Buffering.mpc:
                * tests/Policies/Policies.mpc:
                  requires for corba_messaging is already pulled in through the
                  base projects

        Wed Oct  5 18:49:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
                * TAO_IDL/be/be_visitor_root/root_ch.cpp:
                * TAO_IDL/be_include/be_global.h:
                * TAO_IDL/be_include/be_interface.h:
                * TAO_IDL/be_include/be_visitor_root/root_ch.h:
                  Even more cleanup of old stuff

        Wed Oct  5 18:42:43 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_home.cpp:
                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
                * TAO_IDL/be_include/be_interface.h:
                * TAO_IDL/be/be_visitor_operation/base_proxy_impl_ch.cpp:
                * TAO_IDL/be/be_visitor_operation/remote_proxy_impl_cs.cpp:
                  More cleanup

                * TAO_IDL/be_include/be_visitor_operation/base_proxy_impl_ch.h:
                * TAO_IDL/be_include/be_visitor_operation/remote_proxy_impl_cs.h:
                  Removed these files.

        Wed Oct  5 18:34:21 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_home.cpp:
                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
                * TAO_IDL/be_include/be_interface.h:
                  Cleanup of very old stuff

                * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
                  Fixed cpb

                * tao/Valuetype/AbstractBase_T.h:
                * tao/Valuetype/AbstractBase_T.cpp:
                  Updated for changes below

                * tests/CSD_Collocation/svc.conf.csd:
                  Removed deprecated arguments

        Wed Oct  5 13:01:20 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * tests/Collocated_Best/README
                * tests/Collocated_ThruP_Sp/README
                * tests/Collocated_ThruP_Sp_Gd/README
                * tests/Bug_2241_Regression/README
                Add README's

                * bin/tao_orb_tests.lst
                Added Collocated_ThruP_Sp_Gd test.

        Wed Oct  5 12:41:20 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/operation.cpp:
                * tao/PolicyC.cpp:
                * tao/Collocation_Strategy.h:
                * tao/PortableServer/PolicyS.cpp:
                Change define TAO_CO_DIRECT_POA,remove POA

                * tao/DynamicInterface/DII_Invocation_Adapter.h:
                * tao/DynamicInterface/DII_Invocation_Adapter.cpp:
                * tao/Messaging/Asynch_Invocation_Adapter.h:
                * tao/Messaging/Asynch_Invocation_Adapter.cpp:
                * tao/Valuetype/AbstractBase_Invocation_Adapter.h:
                * tao/Valuetype/AbstractBase_Invocation_Adapter.cpp:
                Change proxybroker for collocation opertunities

                * tao/ORB_Core.cpp:
                * tao/Invocation_Adapter.cpp:
                Extended collocation_strategy with opertunities
                Handling of BEST strategy and checking other strategies.

                * tests/Collocated_Best/Collocated_Best_Direct/run_test.pl:



        Wed Oct  5 08:35:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_codegen.cpp:
                * TAO_IDL/be/be_component.cpp:
                * TAO_IDL/be/be_interface.cpp:
                * TAO_IDL/be/be_visitor_interface.cpp:
                * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
                * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
                * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
                * TAO_IDL/be/be_visitor_operation/operation.cpp:
                * TAO_IDL/be/be_visitor_root/root_ch.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_sh.cpp:
                * TAO_IDL/be_include/be_component.h:
                * TAO_IDL/be_include/be_interface.h:
                * TAO_IDL/be_include/be_visitor_interface.h:
                * tao/Abstract_Servant_Base.h:
                * tao/Collocated_Invocation.h:
                * tao/Collocated_Invocation.cpp:
                * tao/Collocation_Strategy.h:
                * tao/Invocation_Adapter.h:
                * tao/Invocation_Adapter.inl:
                * tao/Invocation_Adapter.cpp:
                * tao/ORB_Core.h:
                * tao/ORB_Core.cpp:
                * tao/Object.h:
                * tao/Object.cpp:
                * tao/Object_T.h:
                * tao/Object_T.cpp:
                * tao/PolicyC.h:
                * tao/PolicyC.inl:
                * tao/PolicyC.cpp:
                * tao/PortableServer/Direct_Collocation_Upcall_Wrapper.h:
                * tao/PortableServer/PolicyS.h:
                * tao/PortableServer/PolicyS.cpp:
                * tao/PortableServer/Servant_Base.h:
                * tao/PortableServer/Servant_Base.cpp:
                * tao/tao.mpc:
                  Rough reimplementatin of handling of collocated call. A pre condition
                  for using collocation is having a servant pointer. The core of TAO
                  also couldn't detect whether through poa collocation is requested
                  without having -Gp being enabled. The collocated proxy broker (cpb)
                  was only used for direct collocation, but didn't contain any interface
                  specific code. TAO_IDL now generated a collocation opportunity to
                  indicate which support it did generate, when the core than has
                  a servant pointer it can determine which opportunities it has an
                  what is requested.

                  As side effect we get smaller generated code, less complexity, and
                  better performance

                  This has to be finished but committing it right now.

                * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_sh.cpp:
                * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_ss.cpp:
                * TAO_IDL/be_include/be_visitor_interface/strategized_proxy_broker_sh.h:
                * TAO_IDL/be_include/be_visitor_interface/strategized_proxy_broker_ss.h:
                * tao/Collocation_Proxy_Broker.h:
                * tao/Collocation_Proxy_Broker.cpp:
                  Removed these files.

        Wed Oct  5 07:15:46 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * tao/PortableServer/Collocated_Object_Proxy_Broker.cpp:
                  Add prefix TAO_COLLOCATION_ to Collocated strategy Thru_POA

        Tue Oct  4 16:36:46 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                Clean up debug text

                * tao/Invocation_Adapter.cpp:
                * tao/ORB_Core.h:
                * tao/ORB_Core.cpp:
                Change Exception for collocated errors.
                Add prefix TAO_COLLOCATION_ to Collocated strategies DIrect, Best and Thru_POA
                Add TAO_DEFAULT_COLLOCATION_STRATEGY

                * tao/orbconf.h:
                Add TAO_DEFAULT_COLLOCATION_STRATEGY

                * tests/Bug_2241_Regression/run_test.pl:
                * tests/Collocated_Best/Collocated_Best_Direct/Collocated_Best_Direct.mpc:
                * tests/Collocated_Best/Collocated_Best_NoColl/Hello.cpp:
                * tests/Collocated_Best/Collocated_Best_ThuP/Collocated_Best_ThruP.mpc:

                * tests/Collocated_ThruP_Sp_Gd:
                * tests/Collocated_ThruP_Sp_Gd/Client_Task.h:
                * tests/Collocated_ThruP_Sp_Gd/Client_Task.cpp:
                * tests/Collocated_ThruP_Sp_Gd/Collocated_Test.cpp:
                * tests/Collocated_ThruP_Sp_Gd/Collocated_ThruP_Sp_Gd.mpc:
                * tests/Collocated_ThruP_Sp_Gd/Hello.h:
                * tests/Collocated_ThruP_Sp_Gd/Hello.cpp:
                * tests/Collocated_ThruP_Sp_Gd/Server_Task.h:
                * tests/Collocated_ThruP_Sp_Gd/Server_Task.cpp:
                * tests/Collocated_ThruP_Sp_Gd/Test.idl:
                * tests/Collocated_ThruP_Sp_Gd/run_test.pl:
                New test for combination Sp and Gd

        Mon Oct  3 15:33:35 UTC 2011  Marijke Hengstmengel  <hengstmengel_m@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
                Change dead to 0 for Collocation_Proxy_Broker

                * tao/Collocation_Strategy.h:
                * tao/Invocation_Adapter.cpp:
                * tao/ORB_Core.h:
                * tao/ORB_Core.cpp:
                Add exceptions for situations if not used -Gp or used -Sp idl flags and
                ORBCollocationStrategies Direct and Thru_Poa. Add strategie BEST.
                To do: add prefix COLLOCATION_.

                * tests/Bug_2241_Regression/Client_Task.cpp:
                * tests/Bug_2241_Regression/Hello.cpp:
                * tests/Bug_2241_Regression/run_test.pl:
                Catch expected exceptions.

                * tests/Collocated_Best:
                * tests/Collocated_Best/Collocated_Best_Direct:
                * tests/Collocated_Best/Collocated_Best_Direct/Client_Task.h:
                * tests/Collocated_Best/Collocated_Best_Direct/Client_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_Direct/Collocated_Best_Direct.mpc:
                * tests/Collocated_Best/Collocated_Best_Direct/Collocated_Test.cpp:
                * tests/Collocated_Best/Collocated_Best_Direct/Hello.h:
                * tests/Collocated_Best/Collocated_Best_Direct/Hello.cpp:
                * tests/Collocated_Best/Collocated_Best_Direct/Server_Task.h:
                * tests/Collocated_Best/Collocated_Best_Direct/Server_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_Direct/Test.idl:
                * tests/Collocated_Best/Collocated_Best_Direct/run_test.pl:

                * tests/Collocated_Best/Collocated_Best_NoColl:

                * tests/Collocated_Best/Collocated_Best_NoColl/Client_Task.h:
                * tests/Collocated_Best/Collocated_Best_NoColl/Client_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_NoColl/Collocated_Best_NoColl.mpc:
                * tests/Collocated_Best/Collocated_Best_NoColl/Collocated_Test.cpp:
                * tests/Collocated_Best/Collocated_Best_NoColl/Hello.h:
                * tests/Collocated_Best/Collocated_Best_NoColl/Hello.cpp:
                * tests/Collocated_Best/Collocated_Best_NoColl/Server_Task.h:
                * tests/Collocated_Best/Collocated_Best_NoColl/Server_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_NoColl/Test.idl:
                * tests/Collocated_Best/Collocated_Best_NoColl/run_test.pl:

                * tests/Collocated_Best/Collocated_Best_ThuP:

                * tests/Collocated_Best/Collocated_Best_ThuP/Client_Task.h:
                * tests/Collocated_Best/Collocated_Best_ThuP/Client_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_ThuP/Collocated_Best_ThruP.mpc:
                * tests/Collocated_Best/Collocated_Best_ThuP/Collocated_Test.cpp:
                * tests/Collocated_Best/Collocated_Best_ThuP/Hello.h:
                * tests/Collocated_Best/Collocated_Best_ThuP/Hello.cpp:
                * tests/Collocated_Best/Collocated_Best_ThuP/Server_Task.h:
                * tests/Collocated_Best/Collocated_Best_ThuP/Server_Task.cpp:
                * tests/Collocated_Best/Collocated_Best_ThuP/Test.idl:
                * tests/Collocated_Best/Collocated_Best_ThuP/run_test.pl:

                * tests/Collocated_ThruP_Sp:

                * tests/Collocated_ThruP_Sp/Client_Task.h:
                * tests/Collocated_ThruP_Sp/Client_Task.cpp:
                * tests/Collocated_ThruP_Sp/Collocated_Test.cpp:
                * tests/Collocated_ThruP_Sp/Collocated_ThruP_Sp.mpc:
                * tests/Collocated_ThruP_Sp/Hello.h:
                * tests/Collocated_ThruP_Sp/Hello.cpp:
                * tests/Collocated_ThruP_Sp/Server_Task.h:
                * tests/Collocated_ThruP_Sp/Server_Task.cpp:
                * tests/Collocated_ThruP_Sp/Test.idl:
                * tests/Collocated_ThruP_Sp/run_test.pl:
                tests for COLLOCATION_DIRECT. To do: add readme

        === end changelog ===

Mon Oct 10 08:48:51 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.5 released.

Fri Oct  7 10:45:41 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * docs/tutorials/Quoter/Event_Service/stock_list.txt:
        * docs/tutorials/Quoter/Event_Service/stock_list1.txt:
        * docs/tutorials/Quoter/Event_Service/stock_list2.txt:

        * docs/tutorials/Quoter/Simple/ImprovedServer/stock_list.txt:

        * orbsvcs/examples/Notify/MC/TkMonitor/modules/GeometryStore.pm:
        * orbsvcs/examples/Notify/MC/TkMonitor/modules/MonitorControl.pm:

        * performance-tests/Protocols/set_lksctp_params.sh:
        * performance-tests/Protocols/set_sctp_params.sh:
        * performance-tests/Protocols/show_lksctp_params.sh:
        * performance-tests/Protocols/show_sctp_params.sh:
          Fuzz

Fri Oct  7 09:45:58 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * docs/PP_Memory_Management.txt:
        * orbsvcs/tests/FT_App/replica.cmd:
        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/README.txt:
        * orbsvcs/tests/Log/README:
        * orbsvcs/tests/Time/README:
          Fuzz.

Fri Oct  7 09:12:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * DevGuideExamples/AMH/README:
        * DevGuideExamples/AMH_AMI/README:
        * DevGuideExamples/BiDirectionalGIOP/README:
        * DevGuideExamples/GettingStarted/README:
        * DevGuideExamples/Messaging/AMIcallback/README:
        * DevGuideExamples/Messaging/RelativeRoundtripTimeout/README:
        * DevGuideExamples/Multithreading/GracefulShutdown/README:
        * DevGuideExamples/Multithreading/README:
        * DevGuideExamples/Multithreading/Reactive/README:
        * DevGuideExamples/Multithreading/ThreadPerConnection/README:
        * DevGuideExamples/Multithreading/ThreadPool/README:
        * DevGuideExamples/PortableInterceptors/Auth/README:
        * DevGuideExamples/PortableInterceptors/IOR/README:
        * DevGuideExamples/PortableInterceptors/PICurrent/README:
        * DevGuideExamples/PortableInterceptors/SimpleCodec/README:
        * DevGuideExamples/RTCORBA/README:
        * DevGuideExamples/SmartProxies/README:
        * DevGuideExamples/ValueTypes/Bank/README:
        * DevGuideExamples/ValueTypes/Messenger/README:
        * DevGuideExamples/readme.txt:
        * README:
        * examples/AMI/FL_Callback/README:
        * examples/Buffered_AMI/README:
        * examples/Buffered_Oneways/README:
        * examples/CSD_Strategy/ThreadPool/README:
        * examples/CSD_Strategy/ThreadPool2/README:
        * examples/CSD_Strategy/ThreadPool3/README:
        * examples/CSD_Strategy/ThreadPool4/README:
        * examples/CSD_Strategy/ThreadPool6/README:
        * examples/Load_Balancing/README:
        * examples/OBV/Typed_Events/README:
        * examples/RTCORBA/Activity/README:
        * interop-tests/wchar/README:
        * orbsvcs/DevGuideExamples/EventServices/OMG_Basic/README:
        * orbsvcs/DevGuideExamples/EventServices/OMG_SupplierSideEC/README:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/README:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Basic/README:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/README:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Filter/README:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/README:
        * orbsvcs/DevGuideExamples/ImplRepo/README:
        * orbsvcs/DevGuideExamples/NamingService/Messenger/README:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Client/README:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Context_Ext/README:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Server/README:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/README:
        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/README:
        * orbsvcs/DevGuideExamples/NotifyService/Filtering/README:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/README:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/README:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/README:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/README:
        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/README:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/README:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/README:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/README:
        * orbsvcs/DevGuideExamples/ValueTypes/Notify/readme.txt:
        * orbsvcs/FT_ReplicationManager/README:
        * orbsvcs/ImplRepo_Service/README.txt:
        * orbsvcs/LoadBalancer/README:
        * orbsvcs/TAO_Service/README:
        * orbsvcs/examples/CosEC/Factory/README:
        * orbsvcs/examples/CosEC/RtEC_Based/README:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/README:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/README:
        * orbsvcs/examples/CosEC/Simple/README:
        * orbsvcs/examples/Log/Basic/README:
        * orbsvcs/examples/Log/Event/README:
        * orbsvcs/examples/Log/Notify/README:
        * orbsvcs/examples/Log/README:
        * orbsvcs/examples/Log/RTEvent/README:
        * orbsvcs/examples/Notify/Federation/Agent/README:
        * orbsvcs/examples/Notify/Federation/SpaceCraft/README:
        * orbsvcs/examples/Notify/Filter/README:
        * orbsvcs/examples/Notify/Lanes/README:
        * orbsvcs/examples/Notify/MC/TkMonitor/README:
        * orbsvcs/examples/Notify/README:
        * orbsvcs/examples/Notify/Subscribe/README:
        * orbsvcs/examples/Notify/ThreadPool/README:
        * orbsvcs/examples/RtEC/IIOPGateway/README:
        * orbsvcs/examples/RtEC/MCast/README:
        * orbsvcs/examples/RtEC/Schedule/README:
        * orbsvcs/examples/RtEC/Simple/README:
        * orbsvcs/examples/Security/README:
        * orbsvcs/examples/Security/SecurityLevel1/README:
        * orbsvcs/orbsvcs/HTIOP/README.txt:
        * orbsvcs/orbsvcs/Naming/README:
        * orbsvcs/tests/AVStreams/Component_Switching/README:
        * orbsvcs/tests/AVStreams/Latency/README:
        * orbsvcs/tests/AVStreams/Multicast/README:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/README:
        * orbsvcs/tests/AVStreams/README:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/README:
        * orbsvcs/tests/AVStreams/mpeg/README.uav:
        * orbsvcs/tests/Bug_1334_Regression/README:
        * orbsvcs/tests/Bug_1393_Regression/README:
        * orbsvcs/tests/Bug_1395_Regression/README:
        * orbsvcs/tests/Bug_1436_Regression/README:
        * orbsvcs/tests/Bug_1437_Regression/README:
        * orbsvcs/tests/Bug_2137_Regression/README:
        * orbsvcs/tests/Bug_2247_Regression/README:
        * orbsvcs/tests/Bug_2248_Regression/README:
        * orbsvcs/tests/Bug_2285_Regression/README:
        * orbsvcs/tests/Bug_2287_Regression/README:
        * orbsvcs/tests/Bug_2615_Regression/README:
        * orbsvcs/tests/Bug_2709_Regression/README:
        * orbsvcs/tests/Bug_2777_Regression/README:
        * orbsvcs/tests/Bug_3215_Regression/README:
        * orbsvcs/tests/Bug_3216_Regression/README:
        * orbsvcs/tests/CosEvent/Timeout/README:
        * orbsvcs/tests/EC_Custom_Marshal/README:
        * orbsvcs/tests/EC_MT_Mcast/README:
        * orbsvcs/tests/EC_Mcast/README:
        * orbsvcs/tests/EC_Multiple/README:
        * orbsvcs/tests/EC_Throughput/README:
        * orbsvcs/tests/Event/Mcast/AddrServer/README:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/README:
        * orbsvcs/tests/Event/Mcast/Two_Way/README:
        * orbsvcs/tests/Event/Performance/README:
        * orbsvcs/tests/Event/lib/README:
        * orbsvcs/tests/FaultTolerance/IOGR/README:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/README:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/ReadMe.txt:
        * orbsvcs/tests/InterfaceRepo/Bug_3155_Regression/ReadMe.txt:
        * orbsvcs/tests/InterfaceRepo/Bug_3174_Regression/ReadMe.txt:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/README:
        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/README.txt:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/README:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/README:
        * orbsvcs/tests/Log/Basic_Log_Test/README:
        * orbsvcs/tests/Notify/lib/README:
        * orbsvcs/tests/Notify/performance-tests/scripts/1_Path_Period_0_Lanes/README:
        * orbsvcs/tests/Notify/performance-tests/scripts/3_Path_Period_10ms_Lanes/README:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/README:
        * orbsvcs/tests/Redundant_Naming/README:
        * orbsvcs/tests/Security/Big_Request/README:
        * orbsvcs/tests/Security/Bug_1107_Regression/README:
        * orbsvcs/tests/Security/Bug_2908_Regression/README:
        * orbsvcs/tests/Security/Callback/README:
        * orbsvcs/tests/Security/Secure_Invocation/README:
        * orbsvcs/tests/Security/cert/README:
        * orbsvcs/tests/Security/ssliop_CSD/README:
        * orbsvcs/tests/Simple_Naming/README:
        * orbsvcs/tests/unit/Notify/MC/MonitorControlExt/README:
        * performance-tests/Cubit/README:
        * performance-tests/Latency/README:
        * performance-tests/README:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/README:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/README:
        * performance-tests/Sequence_Latency/Sequence_Operations_Time/README.txt:
        * tests/Any/Recursive/README:
        * tests/BiDirectional_DelayedUpcall/README:
        * tests/Big_AMI/README:
        * tests/Bug_1330_Regression/README:
        * tests/Bug_1551_Regression/README:
        * tests/Bug_1627_Regression/README:
        * tests/Bug_2119_Regression/README:
        * tests/Bug_2122_Regression/README:
        * tests/Bug_2124_Regression/README:
        * tests/Bug_2126_Regression/README:
        * tests/Bug_2134_Regression/README:
        * tests/Bug_2183_Regression/README:
        * tests/Bug_2186_Regression/README:
        * tests/Bug_2289_Regression/README:
        * tests/Bug_2375_Regression/README:
        * tests/Bug_2399_Regression/README:
        * tests/Bug_2419_Regression/README:
        * tests/Bug_2424_Regression/README:
        * tests/Bug_2429_Regression/README:
        * tests/Bug_2549_Regression/README:
        * tests/Bug_2669_Regression/README:
        * tests/Bug_2791_Regression/README:
        * tests/Bug_2805_Regression/README.txt:
        * tests/Bug_2935_Regression/README.txt:
        * tests/Bug_3068_Regression/README:
        * tests/Bug_3276_Regression/README:
        * tests/Bug_3299_Regression/README:
        * tests/Bug_3311_Regression/README:
        * tests/Bug_3513_Regression/README:
        * tests/Bug_3524_Regression/README:
        * tests/Bug_3574_Regression/README:
        * tests/Bug_3575_Regression/README:
        * tests/Bug_3632_Regression/README:
        * tests/Bug_3676_Regression/README:
        * tests/Bug_3743_Regression/README:
        * tests/Bug_3748_Regression/README:
        * tests/Bug_3755_Ext_Regression/README:
        * tests/Bug_3790_Regression/README:
        * tests/Bug_3821_Regression/README:
        * tests/Bug_3827_Regression/README:
        * tests/Bug_3837_Regression/README:
        * tests/Bug_3926_Regression/README:
        * tests/Bug_3941_Regression/README:
        * tests/CSD_Strategy_Tests/TP_Test_4/README:
        * tests/CodeSets/simple/README:
        * tests/Collocation_Opportunities/README:
        * tests/DIOP/README:
        * tests/DSI_Gateway/README:
        * tests/FL_Cube/README:
        * tests/Faults/README:
        * tests/HandleExhaustion/README:
        * tests/Hello/README:
        * tests/ICMG_Any_Bug/README:
        * tests/IPV6/README:
        * tests/Leader_Followers/README:
        * tests/LongUpcalls/README:
        * tests/MProfile/README:
        * tests/MProfile_Connection_Timeout/README:
        * tests/MT_BiDir/README:
        * tests/MT_Client/README:
        * tests/MT_Server/README:
        * tests/MT_Timeout/README:
        * tests/Multiple/README:
        * tests/Multiple_Inheritance/README:
        * tests/Muxed_GIOP_Versions/README:
        * tests/Muxing/README:
        * tests/Native_Exceptions/README:
        * tests/Nested_Event_Loop/README:
        * tests/No_Server_MT_Connect_Test/README:
        * tests/OBV/Any/README:
        * tests/OBV/Supports/README:
        * tests/ORB_Local_Config/Bug_1459/README:
        * tests/ORB_Local_Config/Bug_3049/README:
        * tests/ORB_Local_Config/README:
        * tests/ORB_Local_Config/Two_DLL_ORB/README:
        * tests/ORB_destroy/README:
        * tests/Object_Loader/README:
        * tests/Objref_Sequence_Test/README:
        * tests/OctetSeq/README:
        * tests/POA/Adapter_Activator/README:
        * tests/POA/Bug_1592_Regression/README:
        * tests/POA/DSI/README:
        * tests/POA/Explicit_Activation/Alt_Resources/README:
        * tests/POA/Explicit_Activation/README:
        * tests/POA/FindPOA/README:
        * tests/POA/README:
        * tests/POA/Reference_Counted_Servant/README:
        * tests/POA/RootPOA/README:
        * tests/Policies/README:
        * tests/Portable_Interceptors/Benchmark/README:
        * tests/Portable_Interceptors/Dynamic/README:
        * tests/Portable_Interceptors/ForwardRequest/README:
        * tests/Portable_Interceptors/IORInterceptor/README:
        * tests/Portable_Interceptors/ORB_Shutdown/README:
        * tests/Portable_Interceptors/PICurrent/README:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/README:
        * tests/RTScheduling/Current/README:
        * tests/RTScheduling/DT_Spawn/README:
        * tests/RTScheduling/Thread_Cancel/README:
        * tests/RTScheduling/VoidData/README:
        * tests/Smart_Proxies/Collocation/README:
        * tests/Timed_Buffered_Oneways/README:
        * tests/Timeout/README:
        * tests/TransportCurrent/Framework/README:
        * tests/Xt_Stopwatch/README:
          Fuzz: Missing Id-tags.

Fri Oct  7 07:55:46 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/PluggableUDP/tests/Performance/svc.conf.xml:
        * examples/PluggableUDP/tests/SimplePerformance/svc.conf.xml:
        * examples/Simple/time-date/client.conf.xml:
        * examples/Simple/time-date/svc.conf.xml:
        * interop-tests/wchar/build.xml:
        * orbsvcs/Concurrency_Service/svc.conf.xml:
        * orbsvcs/ImplRepo_Service/repository.xml:
        * orbsvcs/Notify_Service/svc.conf.xml:
        * orbsvcs/TAO_Service/svc.conf.xml:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/svc.conf.xml:
        * orbsvcs/tests/CosEvent/Basic/svc.pull.conf.xml:
        * orbsvcs/tests/Event/Basic/control.conf.xml:
        * orbsvcs/tests/Event/UDP/svc.conf.xml:
        * orbsvcs/tests/FaultTolerance/IOGR/svc.conf.xml:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/windows.conf.xml:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/windows.conf.xml:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/windows.conf.xml:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/windows.conf.xml:
        * orbsvcs/tests/Miop/McastHello/client.conf.xml:
        * orbsvcs/tests/Miop/McastHello/server.conf.xml:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/listener.conf.xml:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/lookup.conf.xml:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/reactive.conf.xml:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/svc.conf.xml:
        * orbsvcs/tests/Security/MT_IIOP_SSL/client.conf.xml:
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.conf.xml:
        * orbsvcs/tests/Security/MT_SSLIOP/client.conf.xml:
        * orbsvcs/tests/Security/MT_SSLIOP/server.conf.xml:
        * orbsvcs/tests/Security/ssliop_corbaloc/client.conf.xml:
        * orbsvcs/tests/Security/ssliop_corbaloc/server.conf.xml:
        * orbsvcs/tests/unit/Notify/MC/MonitorManager/svc.conf.xml:
        * performance-tests/RTCorba/Thread_Pool/native-svc.conf.xml:
        * performance-tests/RTCorba/Thread_Pool/svc.conf.xml:
        * performance-tests/Throughput/svc.conf.xml:
        * tests/AMI/exclusive.conf.xml:
        * tests/AMI/muxed.conf.xml:
        * tests/AMI/server.conf.xml:
        * tests/AMI_Timeouts/svc.conf.xml:
        * tests/Bug_3251_Regression/Bug_3251.conf.xml:
        * tests/Bug_3801_Regression/exclusive.conf.xml:
        * tests/Bug_3801_Regression/muxed.conf.xml:
        * tests/ORB_Local_Config/Service_Dependency/Service_Config_Test.conf.xml:
        * tests/POA/Explicit_Activation/alternate.conf.xml:
        * tests/RTCORBA/Banded_Connections/svc.conf.xml:
        * tests/RTCORBA/Client_Propagated/svc.conf.xml:
        * tests/RTCORBA/Client_Protocol/svc.conf.xml:
        * tests/RTCORBA/Collocation/continuous.conf.xml:
        * tests/RTCORBA/Collocation/svc.conf.xml:
        * tests/RTCORBA/Destroy_Thread_Pool/continuous.conf.xml:
        * tests/RTCORBA/Dynamic_Thread_Pool/continuous.conf.xml:
        * tests/RTCORBA/Dynamic_Thread_Pool/svc.conf.xml:
        * tests/RTCORBA/Explicit_Binding/svc.conf.xml:
        * tests/RTCORBA/Linear_Priority/svc.conf.xml:
        * tests/RTCORBA/MT_Client_Protocol_Priority/svc.conf.xml:
        * tests/RTCORBA/Persistent_IOR/continuous.conf.xml:
        * tests/RTCORBA/Policy_Combinations/svc.conf.xml:
        * tests/RTCORBA/Priority_Inversion_With_Bands/continuous.conf.xml:
        * tests/RTCORBA/Priority_Inversion_With_Bands/svc.conf.xml:
        * tests/RTCORBA/Server_Declared/continuous.conf.xml:
        * tests/RTCORBA/Server_Declared/svc.conf.xml:
        * tests/RTCORBA/Server_Protocol/server_iiop.conf.xml:
        * tests/RTCORBA/Server_Protocol/server_reverse.conf.xml:
        * tests/RTCORBA/Server_Protocol/server_reverse_nt.conf.xml:
        * tests/RTCORBA/Server_Protocol/server_shmiop.conf.xml:
        * tests/RTCORBA/Server_Protocol/server_uiop.conf.xml:
        * tests/RTCORBA/Thread_Pool/continuous.conf.xml:
        * tests/RTCORBA/Thread_Pool/svc.conf.xml:
          Fuzz: No Id-tags.

Wed Sep 28 12:46:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/BiDir_GIOP/BiDir_GIOP.mpc:
        * tao/CodecFactory/CodecFactory.mpc:
          Added the generated export files so that they get installed

Wed Sep 28 12:42:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Generic_Sequence_T.h:
        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/Valuetype_Adapter_Impl.h:
          Doxygen changes

        * tao/Object.cpp:
        * tao/PortableServer/Basic_SArgument_T.h:
        * tao/DynamicAny/DynAny_i.h:
          Layout changes

Wed Sep 28 12:39:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/AVStreams_i.h:
        * orbsvcs/tests/Notify/lib/Peer_T.cpp:
          Layout changes and cleanup

Wed Sep 28 12:37:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Persistent_Grid/Grid_i.h:
        * examples/Simple/bank/AccountManager_i.h:
        * examples/Simple/echo/Echo_i.h:
        * examples/Simple/grid/Grid_i.h:
        * examples/Simple/time/Time_i.h:
          Layout changes, remove workarounds

Wed Sep 28 12:35:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
          Layout changes to the generated code

Wed Sep 28 12:34:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3683_Regression/Echo_i.h:
          Remove workaround

        * tests/IDL_Test/typedef.idl:
        * tests/Smart_Proxies/Collocation/Smart_Proxy_Impl.h:
          Layout changes

Wed Sep 28 12:31:44 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/HandleExhaustion/run_test.pl:
          Added missing GetFile

Wed Sep 28 11:39:31 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * tests/Bug_2241_Regression:
        * tests/Bug_2241_Regression/Bug_2241_Regression.mpc:
        * tests/Bug_2241_Regression/Client_Task.h:
        * tests/Bug_2241_Regression/Client_Task.cpp:
        * tests/Bug_2241_Regression/Collocated_Test.cpp:
        * tests/Bug_2241_Regression/Hello.h:
        * tests/Bug_2241_Regression/Hello.cpp:
        * tests/Bug_2241_Regression/Server_Task.h:
        * tests/Bug_2241_Regression/Server_Task.cpp:
        * tests/Bug_2241_Regression/Test.idl:
        * tests/Bug_2241_Regression/run_test.pl:
        * bin/tao_orb_tests.lst:
        New test for '-ORBCollocationStrategy direct'

Sun Sep 25 17:02:27 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Parallel_Connect_Strategy/run_test.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

Wed Sep 21 13:40:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_Client/run_test.pl:
          Removed conf files that are not in the repo at all

Tue Sep 20 06:43:33 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI/run_mt_noupcall.pl:
        * tests/MT_Client/run_test.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

Tue Sep 20 06:27:42 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Oneway_Send_Timeouts/run_test.pl:
          Fixed runtime issues

Fri Sep 16 12:01:35 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * DevGuideExamples/Multithreading/ThreadPerConnection/run_test.pl:
        * tests/CSD_Collocation/run_test.pl:
        * tests/Connection_Purging/run_test.pl:
        * tests/Hang_Shutdown/run_test.pl:
        * tests/LongUpcalls/run_test.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

Fri Sep 16 07:55:50 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Faults/run_test.pl:
        * tests/Faults/run_test_pp.pl:
        * tests/MT_NoUpcall_Client_Leader/run_test.pl:
        * tests/POA/EndpointPolicy/run_test_dh.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

Fri Sep 16 07:37:12 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Connect_Strategy_Test/run_test.pl:
        * tests/MT_BiDir/run_test.pl:
        * tests/MT_Server/run_test.pl:
        * tests/No_Server_MT_Connect_Test/run_test.pl:
        * tests/RTCORBA/Server_Protocol/run_test.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

Fri Sep 16 07:02:26 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3163_Regression/run_test.pl:
        * tests/Bug_3630_Regression/run_test.pl:
        * tests/Bug_3683_Regression/run_test.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

        * tests/Bug_3630_Regression/server.cpp:
          Added \n

Thu Sep 15 07:42:01 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI/run_test.pl:
        * tests/Bug_2183_Regression/run_test.pl:
        * tests/Bug_2186_Regression/run_test.pl:
        * tests/Bug_2935_Regression/run_test.pl:
        * tests/Bug_3068_Regression/run_test.pl:
        * tests/Leader_Followers/run_test.pl:
        * tests/Oneway_Send_Timeouts/run_test.pl:
          Copy only those configuration files that are needed by the targets.
          We don't want to solve this in the test framework; the script knows
          which configuration files should be copied.

Wed Sep 14 07:34:56 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Internal.cpp:
          When we can't find the service config file output a message that
          has error in it, so that the scoreboard parser also detects those
          errors

Wed Sep  7 18:07:24 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/CodecFactory/CodecFactory.h:
        * tao/CodecFactory/CodecFactory.cpp:
        * tao/CodecFactory/CodecFactory.mpc:
          export file is now generated by tao_idl

        * tao/CodecFactory/codecfactory_export.h:
          Removed this file.

Wed Sep  7 17:31:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/BiDir_GIOP/BiDirGIOP.h:
        * tao/BiDir_GIOP/BiDirGIOP.cpp:
        * tao/BiDir_GIOP/BiDirPolicy_Validator.h:
        * tao/BiDir_GIOP/BiDir_GIOP.mpc:
          export file is now generated by tao_idl

        * tao/BiDir_GIOP/bidirgiop_export.h:
          Removed this file.

Wed Sep  7 17:27:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/modules/IDLHelper.pm:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be_include/be_global.h:
          Added skel_export_file and stub_export_file to define an explicit
          filename for these export files that are different than the stub/skel
          export_include which could be a full path. This fixes bugzilla 3980

Tue Sep  6 11:45:16 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Base.h:
          Fixed problem with versioned namespace support

Tue Sep  6 08:14:42 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/Any.h:
        * tao/AnyTypeCode/Any.cpp:
          Added support for std::wstring

Tue Sep  6 08:06:46 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Basic_SArguments.h:
          Added support for std::wstring

Thu Sep  1 09:59:22 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.h:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:
        * tao/AnyTypeCode_Adapter.h:
        * tao/Basic_Arguments.h:
          Added support for std::wstring

Thu Sep  1 06:31:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/BD_String_SArgument_T.cpp:
        * tao/PortableServer/Basic_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Array_SArgument_T.cpp:
        * tao/PortableServer/Fixed_Size_SArgument_T.cpp:
        * tao/PortableServer/Object_SArgument_T.cpp:
        * tao/PortableServer/Special_Basic_SArgument_T.cpp:
        * tao/PortableServer/UB_String_SArgument_T.cpp:
        * tao/PortableServer/Var_Array_SArgument_T.cpp:
        * tao/PortableServer/Var_Size_SArgument_T.cpp:
        * tao/PortableServer/Vector_SArgument_T.cpp:
          Fixed coverity issues

Mon Aug 29 07:20:29 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.cpp:
          Fixed runtime issues in orbsvcs.

        * tests/OBV/ValueBox/client.cpp:
          Fixed runtime issues.

Fri Aug 26 11:09:12 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * DevGuideExamples/ValueTypes/Bank/client.cpp:
        * examples/AMH/Sink_Server/client.cpp:
        * examples/Event_Comm/supplier.cpp:
        * examples/Simple/bank/server.cpp:
        * examples/Simple/echo/server.cpp:
        * examples/Simple/grid/server.cpp:
        * examples/Simple/time/server.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.cpp:
        * orbsvcs/tests/Bug_2112_Regression/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/client.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3155_Regression/test_idl.cpp:
        * orbsvcs/tests/InterfaceRepo/Bug_3174_Regression/test_idl.cpp:
        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/client.cpp:
        * performance-tests/Sequence_Latency/Sequence_Operations_Time/test.cpp:
        * tests/Bug_1383_Regression/SimpleClient.cpp:
        * tests/Bug_3506_Regression/client.cpp:
        * tests/Bug_3548_Regression/client.cpp:
        * tests/CDR/allocator.cpp:
        * tests/Connection_Failure/client.cpp:
        * tests/DII_AMI_Forward/client.cpp:
        * tests/DynAny_Test/driver.cpp:
        * tests/OBV/ValueBox/client.cpp:
        * tests/POA/EndpointPolicy/server.cpp:
        * tests/POA/Loader/server.cpp:
        * tests/Param_Test/driver.cpp:
        * tests/Portable_Interceptors/AdvSlot/client.cpp:
        * tests/Portable_Interceptors/AdvSlot/server.cpp:
        * tests/Portable_Interceptors/AdvSlotDblCpy/client.cpp:
        * tests/Portable_Interceptors/AdvSlotExt/client.cpp:
        * tests/RTScheduling/Scheduling_Interceptor/test_client.cpp:
        * tests/RTScheduling/VoidData/test_client.cpp:
        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_sequence_cdr_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/bounded_value_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/object_reference_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_element_ut.cpp:
        * tests/Sequence_Unit_Tests/testing_allocation_traits_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_nocopy_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_octet_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_sequence_cdr_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_string_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/unbounded_value_sequence_ut.cpp:
        * utils/nslist/nsadd.cpp:
        * utils/nslist/nsdel.cpp:
        * utils/nslist/nslist.cpp:
          Fixed issues regarding exceptions which are not caught.

Tue Aug 23 18:19:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Prepared for next release

Tue Aug 23 19:01:44 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.4 released.

Mon Aug 22 15:39:52 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/tests/Security/BiDirectional/ssl/ca.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/client-cert.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/client-key.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/server-cert.pem:
        * orbsvcs/tests/Security/BiDirectional/ssl/server-key.pem:

          Regenerated these certs so the test works.

Thu Aug 11 18:55:10 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Edited existing entry about generation of argument traits.

Mon Aug  8 14:26:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
          Don't generate arg traits if they are disabled

Mon Aug  8 09:01:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
        * TAO_IDL/be/be_visitor_root/root_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_cs.cpp:
        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be_include/be_global.h:
          Added support for -Scdr which suppresses the CDR streaming operations.
          This safes footprint when we are using IDL defined types, but these
          are not intended to be send through remote CORBA interfaces

Thu Aug  4 15:47:33 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO-INSTALL.html:

          Added note about building for Android.

        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:

          Additional compiler macro added to build on Android.

          Thanks to Trevor Fields of OCI for doing the heavy lifting
          for porting TAO to Android.

Sat Jul 23 22:40:39 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Fuzz fix.

Sat Jul 23 14:55:15 UTC 2011  Phil Mesnier <mesnier_p@ociweb.com>

        * TAO/tao/IFR_Client/IFR_Client.mpc

          Fixed dependencies on new IFR_Client_Skel project so it
          builds on windows.

Wed Jul 20 18:53:29 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_interface:

          Removed an unnecessary 'seen' flag for arg traits, it was
          not only unneeded, but also pulling in #includes in the
          *S.h file that wouldn't compile if the IDL contains
          valuetypes and no non-local interfaces.

Tue Jul 19 13:25:22 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Added global scope double colons to code generation of
          arg traits template plate arg names. Some builds had
          confusion, thinking that the name was scoped inside the
          TAO namespace.

        * TAO_IDL/be/be_codegen.cpp:

          Added #include generation check for valuetypes/valueboxes
          when generating the proper arg traits base class
          includes.

Mon Jul 18 20:02:59 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/be_global.h:

          Added new option to IDL compiler -Gata, which
          generates arg traits instantiations using the
          AnyTypeCode_Adapter version of the last template
          parameter (if Any support is not suppressed). The
          option is used when processing IDL for the
          sequences of basic types, so their arg traits
          may be included by application whether or not
          the application is suppressing Any support.

        * tao/tao.mpc:

          Added the new option to the basic sequence PIDL files.

        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.h:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:
        * tao/AnyTypeCode_Adapter.h:

          Added new overloads to the AnyTypeCode_Adapter and
          AnyTypeCode_Adapter_Impl classes, with the basic
          type sequences as the second argument.

        * docs/compiler.html:

          Documented the new IDL compiler option.

Mon Jul 18 19:01:17 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/ifr_client_skel.mpb:

          Fix suggested by Johnny to get build order correct on windows.

Mon Jul 18 18:22:55 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/IFR_Service/IFR_Service.cpp:

          Fixed the include path for IFR_ComponentS.h

Mon Jul 18 06:37:53 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Changed server header start and end generation in case of
          skeleton file suppression (-SS) to fix versioning bracketing
          problems as a result of changed arg traits generation.

Fri Jul 15 12:46:14 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_root/root_sh.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:

          Added missing check for suppress option before generating
          skeleton arg traits, and made layout changes to both stub
          and skeleton root visitors.

Fri Jul 15 11:59:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Monitor/Monitor.h:
          Fixed compile error

Fri Jul 15 09:00:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_util.cpp:
          Fixed layout of one of the help messages

Fri Jul 15 08:33:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/ifr_client_skel.mpb:
        * MPC/config/ifrservice.mpb:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * orbsvcs/orbsvcs/IFRService.mpc:
        * orbsvcs/orbsvcs/IFRService/ComponentContainer_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.h:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils.cpp:
        * orbsvcs/orbsvcs/IFRService/IRObject_i.h:
        * orbsvcs/orbsvcs/IFRService/ProvidesDef_i.cpp:
        * tao/IFR_Client/IFR_Client.mpc:
        * tao/IFR_Client/ifr_client_skel_export.h:
          Generate a new IFR_Client_skel library that contains all
          skeletons for the IFR_Client. This is generated under TAO/tao/IFR_Client
          and than used by the IFRService

        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS_T.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS_T.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS_T.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS_T.h:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS_T.inl:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS_T.cpp:
          Removed these files, it are generated files that shouldn't be in
          the repository

Fri Jul 15 07:29:03 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/AliasDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ArrayDef_i.h:
        * orbsvcs/orbsvcs/IFRService/InterfaceAttrExtension_i.h:
        * orbsvcs/orbsvcs/IFRService/LocalInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ModuleDef_i.h:
        * orbsvcs/orbsvcs/IFRService/NativeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.h:
        * orbsvcs/orbsvcs/IFRService/PrimitiveDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ProvidesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/PublishesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/Repository_i.h:
        * orbsvcs/orbsvcs/IFRService/SequenceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/StringDef_i.h:
        * orbsvcs/orbsvcs/IFRService/StructDef_i.h:
        * orbsvcs/orbsvcs/IFRService/TypedefDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueMemberDef_i.h:
        * orbsvcs/orbsvcs/IFRService/WstringDef_i.h:
          Layout changes

Fri Jul 15 07:11:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IFR_Client/IFR_Client_Adapter_Impl.h:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp:
          Layout changes, removed hardcrafted arg_trait

Thu Jul 14 19:49:02 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/PolicyC.cpp:
        * tao/PortableServer/PolicyS.cpp:

          Removed arg traits instantiations and #includes from these
          hand_crafted files.

        * tao/tao.mpc:

          - Added IDL compiler option to suppress Any operator
            generation for Policy_Forward.pidl.

          - Added new IDL compiler option (see below) to
            suppress arg traits generation for ParameterMode.pidl.

        * tests/Param_Test/Param_Test.mpc:

          Added header and inline file lists.

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/be/be_attribute.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_valuebox.cpp:
        * TAO_IDL/be/be_visitor_union.cpp:
        * TAO_IDL/be/be_visitor_structure.cpp:
        * TAO_IDL/be/be_visitor_root/root_cs.cpp:
        * TAO_IDL/be/be_visitor_root/root_sh.cpp:
        * TAO_IDL/be/be_visitor_root/root_ss.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_valuebox.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_visitor_sequence.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_argument.cpp:
        * TAO_IDL/be/be_visitor_valuetype.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_enum/enum_ch.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_operation.cpp:
        * TAO_IDL/be/be_enum.cpp:
        * TAO_IDL/be/be_string.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/be_include/be_visitor_root/root_ch.h:
        * TAO_IDL/be_include/be_visitor_root/root_cs.h:
        * TAO_IDL/be_include/be_visitor_root/root_sh.h:
        * TAO_IDL/be_include/be_visitor_root/root_ss.h:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_util.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/util/utl_global.cpp:

          - Moved arg traits generation targets from the stub
            and skeleton source files to the corresponding
            header files. This checking addresses [BUGID:3969].

          - Many changes to #include file generation logic,
            since arg traits generation is now triggered from the IDL
            declaration and not from its use as an operation argument.

          - Added a new command line option -Sat to suppress
            the generation of arg tratis altogether.

        * tao/docs/compiler.html:

          Added the new IDL compiler command line option to the table.

Tue Jul 12 13:15:24 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Added code generation of a preprocessor version check that
          will output an error message if the generated file's version
          doesn't match the IDL compiler's (TAO's) version. This fix
          closes [BUGID:3979].

Mon Jul 11 14:55:57 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_util.cpp:

          Removed usage text for command line options that were
          removed a long time ago.

Fri Jul  8 14:57:31 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Relocated the spot where a typedef node is marked as having
          its arg traits instantiation generated. There is a use case
          where the old location gave rise to infinite recursion and
          a stack overflow. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for uncovering the bug and submitting
          example IDL. This fix closes [BUGID:3978].

        * tests/IDL_Test/interface.cpp:

          Added the example IDL above to the test.

Fri Jul  8 06:39:27 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Servant_Base.h:
          Added some typedefs useful for template meta programming

Mon Jul  4 11:02:28 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.h:
        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
          Fixed Coverity error

        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp:
          Fixed mismatched delete as reported by Coverity

Wed Jun 29 12:44:21 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/TO-DO:
        * examples/Advanced/ch_21/client.cpp:
        * examples/Quoter/Quoter_i.cpp:
        * examples/Simple/bank/README:
          Cleanup

Wed Jun 29 11:27:19 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/Simple/Client_i.h:
        * tests/OBV/Simple/OBV_impl.h:
        * tests/OBV/Simple/Server_i.h:
        * tests/OBV/Simple/Server_i.cpp:
        * tests/OBV/Simple/server.cpp:
          Cleanup

Wed Jun 29 11:13:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/TypeCode_Case_T.h:
        * tao/Basic_Argument_T.h:
        * tao/Invocation_Adapter.h:
        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Generic_Sequence_T.h:
          Layout changes

        * tao/Object.cpp:
          Fixed coverity errors

        * tao/Incoming_Message_Stack.h:
          Removed borland workaround

Wed Jun 29 10:47:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
          Fixed coverity errors

Mon Jun 27 10:28:15 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        * tao/CDR.h:
        * tao/CDR.inl:
          Added CDR streaming ops for std::wstring and helper classes
          and streaming ops to extract bounded strings into std strings.

Thu Jun 23 12:39:08 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/*.doxygen:
          Disable html help, seems doxygen now disables the search option
          when html help is enabled

Thu Jun 23 13:46:08 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.3 released.

Wed Jun 22 18:25:21 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/Any_Basic_Impl.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl.h:
        * tests/LongDouble/client.cpp:
        * tests/IDL_Test/constants.idl:
        * tests/IDL_Test/union.idl:
        * TAO_IDL/include/ast_expression.h:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/ast/ast_constant.cpp:
        * TAO_IDL/ast/ast_expression.cpp:
        * NEWS:

          Reverted all changes related to support for long double
          constants in IDL.

Wed Jun 22 15:15:05 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:

          Ensure the naming service can use the CSD_TP strategy if necessary.
          Since the naming service is single threaded, it can become a
          bottleneck when there is very heavy use.

          The need for this change may also indicate a problem with the
          CSD strategy implementation. It appears that the thread pool at
          least is only initialized when the POA Manager is activated. If
          A POA is created with using a POA Manager already in the active
          state, the TP is not initialized. Alternatively this might be a
          problem with the POA creation, that create_POA can be supplied a
          POA Manager that is already been activated, and the new POA is
          itself instantly active.

Wed Jun 22 14:49:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/BiDirectional/run_test.pl:
        * orbsvcs/tests/Security/Big_Request/run_test.pl:
          Added -clog and -slog to write a separate client and server log file
          to disk

Tue Jun 21 13:07:15 UTC 2011  Olli Savia  <ops@iki.fi>

        * TAO_IDL/util/utl_err.cpp:
          Fixed typo.

Thu Jun 16 15:30:23 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/constants.idl:

          Guarded out the long double constant set to the double max
          value, for MinGW, which outputs a floating point error
          for this value.

Thu Jun 16 14:00:53 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/LongDouble/client.cpp:

          Replaced '==' with equivalent '<' and '>' expressions for
          a long double, some platoforms warn that '==' shouldn't
          be used with floating point types.

Thu Jun 16 07:56:54 UTC 2011  Simon Massey  <sma at prismtech dot com>

        * orbsvcs/tests/Security/Big_Request/cacert.pem:
        * orbsvcs/tests/Security/Big_Request/client_cert.pem:
        * orbsvcs/tests/Security/Big_Request/client_key.pem:
        * orbsvcs/tests/Security/Big_Request/server_cert.pem:
        * orbsvcs/tests/Security/Big_Request/server_key.pem:

          Updated certificates - Missed one.

Wed Jun 15 14:36:54 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * orbsvcs/tests/Security/Bug_1107_Regression/cacert.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/client_cert.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/client_key.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/server_cert.pem:
        * orbsvcs/tests/Security/Bug_1107_Regression/server_key.pem:
        * orbsvcs/tests/Security/Callback/cacert.pem:
        * orbsvcs/tests/Security/Callback/client_cert.pem:
        * orbsvcs/tests/Security/Callback/client_key.pem:
        * orbsvcs/tests/Security/Callback/server_cert.pem:
        * orbsvcs/tests/Security/Callback/server_key.pem:
        * orbsvcs/tests/Security/Crash_Test/cacert.pem:
        * orbsvcs/tests/Security/Crash_Test/client_cert.pem:
        * orbsvcs/tests/Security/Crash_Test/client_key.pem:
        * orbsvcs/tests/Security/Crash_Test/server_cert.pem:
        * orbsvcs/tests/Security/Crash_Test/server_key.pem:
        * orbsvcs/tests/Security/Null_Cipher/cacert.pem:
        * orbsvcs/tests/Security/Null_Cipher/client_cert.pem:
        * orbsvcs/tests/Security/Null_Cipher/client_key.pem:
        * orbsvcs/tests/Security/Null_Cipher/server_cert.pem:
        * orbsvcs/tests/Security/Null_Cipher/server_key.pem:
        * orbsvcs/tests/Security/Secure_Invocation/cacert.pem:
        * orbsvcs/tests/Security/Secure_Invocation/client_cert.pem:
        * orbsvcs/tests/Security/Secure_Invocation/client_key.pem:
        * orbsvcs/tests/Security/Secure_Invocation/server_cert.pem:
        * orbsvcs/tests/Security/Secure_Invocation/server_key.pem:
        * orbsvcs/tests/Security/mixed_security_test/cacert.pem:
        * orbsvcs/tests/Security/mixed_security_test/client_cert.pem:
        * orbsvcs/tests/Security/mixed_security_test/client_key.pem:
        * orbsvcs/tests/Security/mixed_security_test/server_cert.pem:
        * orbsvcs/tests/Security/mixed_security_test/server_key.pem:

          Updated certificates.

        * orbsvcs/tests/Security/cert:
        * orbsvcs/tests/Security/cert/DOCCA:
        * orbsvcs/tests/Security/cert/DOCCA/cacert.pem:
        * orbsvcs/tests/Security/cert/DOCCA/certs:
        * orbsvcs/tests/Security/cert/DOCCA/index.txt:
        * orbsvcs/tests/Security/cert/DOCCA/index.txt.attr:
        * orbsvcs/tests/Security/cert/DOCCA/index.txt.attr.old:
        * orbsvcs/tests/Security/cert/DOCCA/index.txt.old:
        * orbsvcs/tests/Security/cert/DOCCA/newcerts:
        * orbsvcs/tests/Security/cert/DOCCA/newcerts/1000.pem:
        * orbsvcs/tests/Security/cert/DOCCA/newcerts/1001.pem:
        * orbsvcs/tests/Security/cert/DOCCA/private:
        * orbsvcs/tests/Security/cert/DOCCA/private/cakey.pem:
        * orbsvcs/tests/Security/cert/DOCCA/serial:
        * orbsvcs/tests/Security/cert/DOCCA/serial.old:
        * orbsvcs/tests/Security/cert/README:
        * orbsvcs/tests/Security/cert/cacert.pem:
        * orbsvcs/tests/Security/cert/client_cert.pem:
        * orbsvcs/tests/Security/cert/client_key.pem:
        * orbsvcs/tests/Security/cert/openssl.cnf:
        * orbsvcs/tests/Security/cert/server_cert.pem:
        * orbsvcs/tests/Security/cert/server_key.pem:

          Added the full CA information used to sign the above certs.  These certs
          are good for the next 20 years.

        * orbsvcs/tests/Security/Secure_Invocation/client_key_nopasswd.pem:
        * orbsvcs/tests/Security/Secure_Invocation/server_key_nopasswd.pem:
        * orbsvcs/tests/Security/mixed_security_test/client_key_nopasswd.pem:
        * orbsvcs/tests/Security/mixed_security_test/server_key_nopasswd.pem:

          Removed these files.

Wed Jun 15 08:54:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
          Reverted 3971 change, broke some CCM tests

Tue Jun 14 13:12:05 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_valuetype.h:
        * TAO_IDL/be/be_visitor_amh_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ci.cpp:

          Added code generation for AMH exception holder's default
          constructor to initialize the CORBA::Exception* member
          to 0. This fix closes [BUGID:3970].

Tue Jun 14 12:18:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
          Only the methods for operations in local interfaces need to be
          virtual. This reduces footprint and improves performance, this
          fixes bugzilla 3971

Fri Jun 10 19:08:19 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_helper.cpp:

          Used the recently added ACE_LONG_DOUBLE_FORMAT_SPECIFIER_ASCII
          to generate long double literals portably.

Fri Jun 10 12:41:00 UTC 2011  Simon Massey <sma at prismtech dot com>

        * tests/MT_NoUpcall_Client_Leader/run_test.pl:

          This test wasn't capable of exiting with an error, it was
          always successful even if the test failed.

        * tests/MT_NoUpcall_Client_Leader/client.cpp:
        * tests/MT_NoUpcall_Client_Leader/server.cpp:

          The mutex needed to be locked prior to worker thread creation
          and the stop_condition.wait condition, then released after,
          otherwise worker threads can signal prior to the server/client
          being ready to deal with the event. Client needed to
          pause before the issuing the shutdown request to the server
          so as to allow it to finish its own worker thread.

        * tests/MT_NoUpcall_Client_Leader/police.cpp:

          The stat test in the loop was occationally detecting the creation
          of the ior file before the contents had been written. Moving
          the sleep after the stat and before the test allows the contents to
          be output before allowing the client/server to use the ior it
          has just detected.

        * tests/MT_NoUpcall_Client_Leader/chatter.cpp:
        * tests/MT_NoUpcall_Client_Leader/chatter.h:

          Need to mutex control access to the two nrequests_ and nreplies_
          counts, as the client has two concurrent worker threads competing
          to update them, these counts also need to be volitile.

Thu Jun  9 19:38:48 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_helper.cpp:

          Changed print format of long double literal to be conditional,
          based on the existence of a native 16-byte long double, in
          order to eliminate warnings of rhs and lhs type mismatch.

Thu Jun  9 17:28:25 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Changed generated code to always use a constructor with an
          ACE_CDR::LongDoubleAssign argument for long double constants.

Thu Jun  9 07:05:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/FaultTolerance/RolyPoly/client.cpp:
        * orbsvcs/tests/Bug_2709_Regression/Client_Task.cpp:
          Fixed gcc 4.6 warnings

Thu Jun  9 01:09:40 UTC 2011  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp (TAO_Notify_ThreadPool_Task::execute):
          Fixed a memory leak that occurred when the enqueue() failed.
          Thanks to Jochen Meier <gesammeltimusenet2009 at arcor dot de> for
          reporting this and suggesting a fix.

Mon Jun  6 19:53:54 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/Any_Basic_Impl.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl.h:

          Restored the long double member back to the member union of
          Any_Basic_Impl. A change suggested by Adam Mitz <mitza at
          ociweb dot com> enabled the use of the LongDouble emulator
          struct without constructors or assignment operators.

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Changed code generation for long double constant initialization,
          when 16-byte native long double does not exist, to use the
          new LongDoubleAssign struct in ACE_CDR.

        * tests/IDL_Test/union.idl:

          Added a test case of a union containing a long double, to
          test that the generated union doesn't contain a member
          with a constructor.

Mon Jun  6 18:59:41 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_helper.cpp:

          Restored minimum significant digit suggestions for the format
          string for double, and added them to the format string for
          long double.

Mon Jun  6 17:28:05 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/Any_Basic_Impl.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl.h:

          Added a separate member for long doubles, rather than have
          support for long doubles on all platforms disabled because
          the struct that is now used for some long double representations
          has a constructor.

        * tests/DynAny_Test/test_dynany.cpp:

          Reverted the change in

          Fri Jun  3 18:54:59 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

          since that part of the test will work again.

Mon Jun  6 15:06:42 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_global.cpp:
          Extended DDS support

Fri Jun  3 18:54:59 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/Any_Basic_Impl.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl.h:

          On platforms where native long doubles aren't 16 bytes,
          eliminated case where an Any contains a CORBA::LongDouble.
          The class contains a C++ union, which can't contain a
          non-native LongDouble ( a struct) since it now has a constructor.
          A fair tradeoff since in return for the recent changes to
          ACE_CDR::LongDouble, we now have support for IDL constants
          of type CORBA::LongDouble on all platforms.

        * tests/DynAny_Test/test_dynany.cpp:

          Similarly to the above item, eliminated the test for long
          double on platforms where a non-native struct alternative
          is used.

Thu Jun  2 12:24:59 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_helper.cpp:

          - Fixed print format for long double, eliminated warnings.
          - Added '#' flag to all floating point print formats, forces
            printing of decimal point even if not present in IDL.

Wed Jun  1 19:39:08 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/AST_Expression.h:
        * TAO_IDL/ast/AST_Expression.cpp
        * TAO_IDL/ast/AST_Constant.cpp
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:

          Added support for long double constants in IDL.

        * tests/IDL_Test/constants.idl:

          Added test cases for long double constants.

        * NEWS:

          Added item about long double constant support.

Wed Jun  1 09:46:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/ftp.cpp:
        * orbsvcs/tests/Log/Basic_Log_Test/client.cpp:
        * tests/ORB_Local_Config/Two_DLL_ORB/client.cpp:
        * tests/ORB_Local_Config/Two_DLL_ORB/server.cpp:
          Fixed Coverity warnings regarding uncaught exceptions.

Tue May 31 05:47:19 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
          Fixed gcc 4.6 warnings: variable was set but not used.

Mon May 30 10:21:08 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Logging/Logger_i.cpp:
          Resolved gcc 4.6 warning: variable may be used uninitialized
          in this function

Mon May 30 10:00:33 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/LoadBalancer/LoadMonitor.cpp:
          Fixed compiler error on Windows.

Mon May 30 06:39:12 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Smart_Proxies/Benchmark/client.cpp:
          Resolved gcc 4.6 warnings: variable was set but not used.

Fri May 27 14:35:57 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_2936_Regression/bug2936.cpp:
        * tests/Bug_3926_Regression/Client_Request_Interceptor.cpp:
        * tests/Exposed_Policies/RT_Properties.cpp:
        * tests/IOR_Endpoint_Hostnames/list_interfaces.cpp:
          Resolved gcc 4.6 warnings: variable was set but not used.

        * tests/POA/Bug_2511_Regression/server.cpp:
          Resolved gcc 4.6 warnings: variable was set but not used.
          Code alignment.

Fri May 27 14:13:08 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * performance-tests/POA/Demux/demux_test_server.cpp:
        * tests/Bug_2677_Regression/DllORB.cpp:
        * tests/Bug_2683_Regression/server.cpp:
          Resolved gcc 4.6 warnings: variable was set but not used.

Fri May 27 13:52:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_union/union_ch.cpp:
          Removed generation of holder_ member of an union, it is not used
          at all

Fri May 27 10:09:25 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/examples/ImR/Advanced/TestClient.cpp:
        * orbsvcs/tests/IOR_MCast/client.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp:
          Statisfy Coverity and the GNU 4.6 gcc compiler. Using a
          returned value either by using ACE_UNUSED_ARG or to print
          in a log message.

        * tests/Sequence_Unit_Tests/value_sequence_tester.hpp:
          Fuzz.

Fri May 27 09:14:29 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/LoadBalancer/LoadMonitor.cpp:
        * orbsvcs/examples/ImR/Advanced/TestClient.cpp:
        * orbsvcs/tests/Bug_3486_Regression/server.cpp:
        * orbsvcs/tests/IOR_MCast/client.cpp:
        * orbsvcs/tests/Notify/Bug_2926_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3646b_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3646c_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3646d_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3663_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3688b_Regression/server.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp:
          Resolved gcc 4.6 warnings: variable was set but not used.

Thu May 26 15:25:36 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/fe/fe_utils.cpp:
          tmp variable wasn't necessary. Removed it.

Thu May 26 14:13:05 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_valuebox/valuebox_ci.cpp:
        * TAO_IDL/fe/fe_utils.cpp:
        * tao/Strategies/COIOP_Acceptor.cpp:
          Resolved gcc 4.6 warnings: variable was set but not used.

Thu May 26 13:48:29 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/Sequence_Unit_Tests/Bounded_Simple_Types.cpp:
        * tests/Sequence_Unit_Tests/Bounded_String.cpp:
        * tests/Sequence_Unit_Tests/Unbounded_Octet.cpp:
        * tests/Sequence_Unit_Tests/Unbounded_Simple_Types.cpp:
        * tests/Sequence_Unit_Tests/Unbounded_String.cpp:
          Catch uncaught exceptions in main.

Thu May 26 13:11:19 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tao/Generic_Sequence_T.h:
          Added file name to doxygen documentation

        * tests/Sequence_Unit_Tests/value_sequence_tester.hpp:
          Resolved Coverity warning: catching a uncaught BAD_PARAM exception.

Fri May 20 22:07:56 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * tao/AnyTypeCode/TAO_AnyTypeCode.rc:
        * tao/Codeset/TAO_Codeset.rc:
        * tao/PI/TAO_PI.rc:
        * tao/PI_Server/TAO_PI_Server.rc:
        * tao/Utils/TAO_Utils.rc:
        * tao/ZIOP/TAO_ZIOP.rc:

          Add resource files to get TAO version number on DLLs.

Fri May 20 14:20:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Oneway_Timeouts/test.mpc:
          Added explicit idl project to get correct build order on VMS

Thu May 19 14:53:55 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * tests/QtTests/client.cpp:
        * tests/QtTests/client.h:
        * tests/QtTests/QtTests.mpc:
        * tests/QtTests/server.cpp:
        * tests/QtTests/test_i.h:
        Adapted to qt4.

Tue May 17 19:20:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/Indirection/MessengerServer.cpp:
        * tests/Portable_Interceptors/Slot/driver.cpp:
          Catch exceptions in main

Tue May 17 11:32:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
          Layout changes to the generated code

Fri May 13 08:04:48 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tao/Bounded_Basic_String_Sequence_T.h:
        * tao/Bounded_Object_Reference_Sequence_T.h:
        * tao/Bounded_Value_Sequence_T.h:
        * tao/Unbounded_Basic_String_Sequence_T.h:
        * tao/Unbounded_Object_Reference_Sequence_T.h:
          Doxygen changes.

Wed May 11 18:43:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ObjectKey_Table.h:
        * tao/orbconf.h:
        * tao/params.h:
          Doxygen changes

Wed May 11 13:35:28 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * tao/QtResource/QtResource_Loader.h:
        Changed for QT4 deprecated include QT/..

Tue May 10 18:15:28 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ImR_Client/ImR_Client.cpp:
          changed variable name to not match method argument

        * utils/catior/catior.cpp:
        * utils/nslist/nsadd.cpp:
        * utils/nslist/nsdel.cpp:
        * utils/nslist/nslist.cpp:
          Fixed coverity errors, not leak exceptions

Tue May 10 06:15:43 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tao/IORManipulation/IORManip_IIOP_Filter.cpp:
          Fixed compile error.

Mon May  9 19:10:54 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
        * tao/CSD_ThreadPool/CSD_TP_Task.cpp:
        * tao/IORManipulation/IORManip_IIOP_Filter.cpp:
          Fixed coverity errors

Wed Apr 27 13:35:10 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO.mwc:
          Exclude DAnCE, thanks to Remko Duppen <remko dot duppen at syntel dot nl>
          for reporting this

Tue Apr 26 13:12:03 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
          Layout changes generated code

Tue Apr 26 13:04:11 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Collocation_Resolver.h:
        * tao/Connect_Strategy.h:
        * tao/Endpoint_Selector_Factory.h:
        * tao/GIOP_Message_Base.h:
        * tao/GIOP_Message_Generator_Parser.h:
        * tao/GIOP_Message_Generator_Parser_10.h:
        * tao/GIOP_Message_Generator_Parser_11.h:
        * tao/GIOP_Message_Generator_Parser_Impl.h:
        * tao/GIOP_Message_State.h:
        * tao/GIOP_Utils.h:
        * tao/GUIResource_Factory.h:
        * tao/LF_Connect_Strategy.h:
        * tao/LF_Follower.cpp:
          Doxygen changes

Tue Apr 26 12:50:24 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
        * tao/Thread_Lane_Resources.h:
        * tao/Thread_Lane_Resources_Manager.h:
        * tao/Thread_Per_Connection_Handler.h:
        * tao/Transport.h:
        * tao/Transport_Connector.h:
        * tao/TypeCodeFactory_Adapter.h:
          Doxygen changes

Tue Apr 26 12:21:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Acceptor_Impl.h:
        * tao/Acceptor_Impl.cpp:
        * tao/Acceptor_Registry.h:
        * tao/Adapter_Registry.h:
        * tao/Bind_Dispatcher_Guard.h:
        * tao/Blocked_Connect_Strategy.h:
        * tao/Blocked_Connect_Strategy.cpp:
        * tao/Cleanup_Func_Registry.h:
        * tao/Collocated_Invocation.cpp:
        * tao/LF_Event_Loop_Thread_Helper.inl:
        * tao/LF_Follower_Auto_Adder.inl:
        * tao/Leader_Follower.cpp:
        * tao/Queued_Message.h:
        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Wait_On_LF_No_Upcall.h:
        * tao/Wait_On_LF_No_Upcall.cpp:
        * tao/Wait_On_Reactor.h:
        * tao/Wait_On_Read.h:
          Doxygen changes

Tue Apr 26 11:57:42 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Leader_Follower.h:
        * tao/Leader_Follower.inl:
        * tao/Wait_On_LF_No_Upcall.h:
        * tao/Wait_On_Leader_Follower.h:
        * tao/Wait_On_Reactor.h:
        * tao/Wait_On_Read.h:
        * tao/Wait_Strategy.h:
          Use explicit for single argument constructors, doxygen improvements

Tue Apr 26 11:13:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_NoUpcall_Client_Leader/client.cpp:
        * tests/MT_NoUpcall_Client_Leader/run_test.pl:
        * tests/MT_NoUpcall_Client_Leader/server.cpp:
          Make it possible to pass number of threads through the commandline

Tue Apr 26 09:42:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Leader_Follower.h:
        * tao/Leader_Follower.inl:
          Use bool instead of int for several methods

        * tao/Thread_Lane_Resources.cpp:
          Simplied some code

Tue Apr 26 09:26:48 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          MT_NoUpcall_Client_Leader shouldn't run when there is no messaging

Tue Apr 26 09:00:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled some tests with CORBA/e micro

        * tao/Connection_Handler.cpp:
        * tao/Resume_Handle_Deferred.h:
        * tao/Resume_Handle_Deferred.cpp:
          Use reference counting for deletion, also log an error and return -1
          when schedule_timer fails, we have a critical error at that moment

        * tao/Policy_Validator.cpp:
        * tao/TAO_Singleton.cpp:
        * tao/Leader_Follower.cpp:
          Use %@ for logging pointers

Fri Apr 22 12:41:53 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/tests/Bug_3418_Regression/b.conf:
        * orbsvcs/tests/HTIOP/HT_Config.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/windows.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/non-windows.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/windows.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/non-windows.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/windows.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/windows.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/windows.conf:
        * orbsvcs/tests/Notify/Lanes/consumer.conf:
        * orbsvcs/tests/Notify/Lanes/notify.conf:
        * performance-tests/Protocols/lksctp_params.conf:
        * performance-tests/Protocols/sctp_params.conf:
        * performance-tests/RTCorba/Thread_Pool/native-svc.conf:
        * tests/Bug_3068_Regression/server.conf:
        * tests/ORB_Local_Config/Bug_1459/m.conf:
        * tests/ORB_Local_Config/Two_DLL_ORB/secondary-empty.conf:
        * tests/RTCORBA/Explicit_Binding/svc.conf:
          Fuzz: added $Id string

Fri Apr 22 12:14:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Handler.cpp:
        * tao/Resume_Handle_Deferred.h:
        * tao/Resume_Handle_Deferred.cpp:
          Notify a specific event handler

        * tao/Resume_Handle_Deferred.inl:
          Removed this file, virtual methods may not be inline

Fri Apr 22 11:56:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Resume_Handle_Deferred.h:
        * tao/Resume_Handle_Deferred.inl:
        * tao/Resume_Handle_Deferred.cpp:
          We should only trigger the reactor

        * tao/Transport.cpp:
          Doxygen changes

Fri Apr 22 07:28:43 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * DevGuideExamples/Multithreading/Reactive/svc.conf:
        * DevGuideExamples/Multithreading/ThreadPerConnection/server.conf:
        * DevGuideExamples/RTCORBA/svc.conf:
        * docs/tutorials/Quoter/Event_Service/ec.conf:
        * examples/PluggableUDP/tests/Performance/svc.conf:
        * examples/PluggableUDP/tests/SimplePerformance/svc.conf:
        * examples/RTCORBA/Activity/client.conf:
        * examples/RTCORBA/Activity/server.conf:
        * examples/RTCORBA/Activity/svc.conf.client:
        * examples/RTCORBA/Activity/svc.conf.server:
        * examples/RTScheduling/Fixed_Priority_Scheduler/svc.conf.client:
        * examples/RTScheduling/Fixed_Priority_Scheduler/svc.conf.server:
        * examples/RTScheduling/MIF_Scheduler/svc.conf.client:
        * examples/RTScheduling/MIF_Scheduler/svc.conf.server:
        * orbsvcs/Concurrency_Service/svc.conf:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/supplier.conf:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Filter/ec.conf:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/supplier.conf:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/notify.conf:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/nsclient.conf:
        * orbsvcs/DevGuideExamples/ValueTypes/Notify/notify.conf:
        * orbsvcs/Event_Service/svc.conf:
        * orbsvcs/Logging_Service/Notify_Logging_Service/svc.conf:
        * orbsvcs/TAO_Service/svc.conf:
        * orbsvcs/examples/ImR/Combined_Service/dynserver.conf:
        * orbsvcs/examples/ImR/Combined_Service/start_all.conf:
        * orbsvcs/examples/Notify/Lanes/client.conf:
        * orbsvcs/examples/Notify/Lanes/notify.conf:
        * orbsvcs/examples/Notify/ThreadPool/client.conf:
        * orbsvcs/examples/Notify/ThreadPool/notify.conf:
        * orbsvcs/examples/RtEC/IIOPGateway/ec.conf:
        * orbsvcs/examples/RtEC/IIOPGateway/gateway.conf:
        * orbsvcs/examples/RtEC/Kokyu/svc.conf:
        * orbsvcs/examples/RtEC/MCast/svc.conf:
        * orbsvcs/examples/RtEC/Schedule/svc.conf:
        * orbsvcs/examples/RtEC/Simple/ec.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.dispatching_reactive.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.dispatching_rtcorba.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.dispatching_threaded.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.filter_null.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.filter_per_supplier.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.locking_copy_on_read.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.locking_copy_on_write.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.locking_delayed.conf:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/ec.locking_immediate.conf:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/roundtrip.conf:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/realtime.conf:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/realtime.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.dispatching_reactive.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.dispatching_rtcorba.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.dispatching_threaded.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.locking_copy_on_read.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.locking_copy_on_write.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.locking_delayed.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.locking_immediate.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.supplier_filter_null.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/ec.supplier_filter_per_supplier.conf:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/roundtrip.conf:
        * orbsvcs/tests/AVStreams/Component_Switching/components_svc.conf:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/svc.conf:
        * orbsvcs/tests/Bug_2316_Regression/svc.conf:
        * orbsvcs/tests/Bug_2377_Regression/svc.conf:
        * orbsvcs/tests/Bug_2925_Regression/svc.conf:
        * orbsvcs/tests/Bug_3387_Regression/NotSvc.conf:
        * orbsvcs/tests/Bug_3418_Regression/m.conf:
        * orbsvcs/tests/Bug_3444_Regression/diop_svc.conf:
        * orbsvcs/tests/Bug_3444_Regression/miop_svc.conf:
        * orbsvcs/tests/CosEvent/Basic/svc.pull.conf:
        * orbsvcs/tests/CosEvent/Timeout/cosevent.conf:
        * orbsvcs/tests/EC_MT_Mcast/svc.conf:
        * orbsvcs/tests/EC_Mcast/svc.conf:
        * orbsvcs/tests/EC_Throughput/ec.conf:
        * orbsvcs/tests/Event/Basic/control.conf:
        * orbsvcs/tests/Event/Basic/mt.svc.conf:
        * orbsvcs/tests/Event/Basic/observer.conf:
        * orbsvcs/tests/Event/Basic/svc.complex.conf:
        * orbsvcs/tests/Event/Basic/svc.conf:
        * orbsvcs/tests/Event/Mcast/Complex/consumer-ec.conf:
        * orbsvcs/tests/Event/Mcast/Complex/supplier-ec.conf:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/supplier.conf:
        * orbsvcs/tests/Event/Mcast/Two_Way/gateway.conf:
        * orbsvcs/tests/Event/Performance/ec.list.conf:
        * orbsvcs/tests/Event/Performance/ec.mt.conf:
        * orbsvcs/tests/Event/Performance/ec.rb_tree.conf:
        * orbsvcs/tests/Event/Performance/ec.st.conf:
        * orbsvcs/tests/Event/Performance/latency.conf:
        * orbsvcs/tests/Event/UDP/svc.conf:
        * orbsvcs/tests/HTIOP/AMI/exclusive.conf:
        * orbsvcs/tests/HTIOP/AMI/muxed.conf:
        * orbsvcs/tests/ImplRepo/scale/client.conf:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/svc.conf:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/svc.conf:
        * orbsvcs/tests/Miop/McastHello/svc.conf:
        * orbsvcs/tests/Notify/Basic/notify.mt.conf:
        * orbsvcs/tests/Notify/Basic/notify.reactive.conf:
        * orbsvcs/tests/Notify/Basic/notify.rt.conf:
        * orbsvcs/tests/Notify/Blocking/notify.conf:
        * orbsvcs/tests/Notify/Bug_1385_Regression/notify.conf:
        * orbsvcs/tests/Notify/Bug_1884_Regression/ecf.conf:
        * orbsvcs/tests/Notify/Lanes/consumer.conf:
        * orbsvcs/tests/Notify/Persistent_Filter/NS.conf:
        * orbsvcs/tests/Notify/PluggableTopology/plugtop_ns.conf:
        * orbsvcs/tests/Notify/Reconnecting/event.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_mt.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_mt_both.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_mt_topo.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_st.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_st_both.conf:
        * orbsvcs/tests/Notify/Reconnecting/ns_st_topo.conf:
        * orbsvcs/tests/Notify/ThreadPool/consumer.conf:
        * orbsvcs/tests/Notify/ThreadPool/notify.conf:
        * orbsvcs/tests/Notify/ThreadPool/supplier.conf:
        * orbsvcs/tests/Notify/Validate_Client/notify.conf:
        * orbsvcs/tests/Notify/XML_Persistence/svc.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/listener.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/lookup.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/svc.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/1_Path_Period_0_Lanes/cos_notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/1_Path_Period_0_Lanes/rt_notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/3_Path_Period_10ms_Lanes/cos_notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/3_Path_Period_10ms_Lanes/rt_notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify/notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify_RTCORBA/notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/cos_notify.conf:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/rt_notify.conf:
        * orbsvcs/tests/Security/BiDirectional/client.conf:
        * orbsvcs/tests/Security/BiDirectional/server.conf:
        * orbsvcs/tests/Security/Bug_2908_Regression/client.conf:
        * orbsvcs/tests/Security/Bug_2908_Regression/server.conf:
        * orbsvcs/tests/Security/EndpointPolicy/svc.conf:
        * orbsvcs/tests/Security/InsecureReferences/client.conf:
        * orbsvcs/tests/Security/MT_IIOP_SSL/client.conf:
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.conf:
        * orbsvcs/tests/Security/MT_SSLIOP/client.conf:
        * orbsvcs/tests/Security/MT_SSLIOP/server.conf:
        * orbsvcs/tests/Security/ssliop_CSD/csd.conf:
        * orbsvcs/tests/Security/ssliop_corbaloc/client.conf:
        * orbsvcs/tests/Security/ssliop_corbaloc/server.conf:
        * orbsvcs/tests/unit/Notify/MC/MonitorManager/svc.conf:
        * performance-tests/Protocols/altq.conf:
        * performance-tests/Protocols/svc.conf:
        * performance-tests/RTCorba/Thread_Pool/svc.conf:
        * tests/AMI/muxed.conf:
        * tests/AMI_Timeouts/svc.conf:
        * tests/Bug_2186_Regression/server.conf:
        * tests/Bug_2935_Regression/middle.conf:
        * tests/Bug_3000_Regression/rw.conf:
        * tests/Bug_3068_Regression/client.conf:
        * tests/Bug_3163_Regression/server.conf:
        * tests/Bug_3251_Regression/Bug_3251.conf:
        * tests/Bug_3598a_Regression/svc.conf:
        * tests/Bug_3630_Regression/TAO Conf File.conf:
        * tests/Bug_3630_Regression/TAO_Conf_File.conf:
        * tests/Bug_3683_Regression/svc.conf:
        * tests/Bug_3801_Regression/exclusive.conf:
        * tests/Bug_3801_Regression/muxed.conf:
        * tests/Bug_3837_Regression/logger.conf:
        * tests/CSD_Strategy_Tests/TP_Test_Dynamic/svc.conf:
        * tests/CSD_Strategy_Tests/TP_Test_Static/svc.conf:
        * tests/CodeSets/simple/cs_test.conf:
        * tests/CodeSets/simple/svc.conf:
        * tests/CodeSets/simple/wcs_test.conf:
        * tests/Collocation_Opportunities/svc.conf:
        * tests/Exposed_Policies/svc.conf:
        * tests/Leader_Followers/select_mt.conf:
        * tests/Leader_Followers/tp.conf:
        * tests/ORB_Local_Config/Bug_1459/a.conf:
        * tests/ORB_Local_Config/Bug_1459/b.conf:
        * tests/ORB_Local_Config/Bug_1459/d.conf:
        * tests/ORB_Local_Config/Bug_1459/m1.conf:
        * tests/ORB_Local_Config/Bug_3049/a.conf:
        * tests/ORB_Local_Config/Service_Dependency/Service_Config_Test.conf:
        * tests/ORB_Local_Config/Two_DLL_ORB/primary-csd.conf:
        * tests/ORB_Local_Config/Two_DLL_ORB/primary-ssl.conf:
        * tests/ORB_Local_Config/Two_DLL_ORB/secondary-csd.conf:
        * tests/ORB_Local_Config/Two_DLL_ORB/secondary-ssl.conf:
        * tests/Oneway_Send_Timeouts/block_flush.conf:
        * tests/Oneway_Send_Timeouts/lf_flush.conf:
        * tests/Oneway_Send_Timeouts/reactive_flush.conf:
        * tests/Optimized_Connection/oc_svc.conf:
        * tests/POA/EndpointPolicy/multi_prot.conf:
        * tests/POA/Explicit_Activation/alternate.conf:
        * tests/Parallel_Connect_Strategy/blocked.conf:
        * tests/Parallel_Connect_Strategy/reactive.conf:
        * tests/RTCORBA/Banded_Connections/svc.conf:
        * tests/RTCORBA/Bug_3382_Regression/svc.conf:
        * tests/RTCORBA/Bug_3643_Regression/svc.conf.dynamic:
        * tests/RTCORBA/Client_Propagated/svc.conf:
        * tests/RTCORBA/Client_Protocol/svc.conf:
        * tests/RTCORBA/Collocation/continuous.conf:
        * tests/RTCORBA/Collocation/svc.conf:
        * tests/RTCORBA/Destroy_Thread_Pool/continuous.conf:
        * tests/RTCORBA/Dynamic_Thread_Pool/continuous.conf:
        * tests/RTCORBA/Dynamic_Thread_Pool/svc.conf:
        * tests/RTCORBA/Linear_Priority/svc.conf:
        * tests/RTCORBA/MT_Client_Protocol_Priority/svc.conf:
        * tests/RTCORBA/Persistent_IOR/continuous.conf:
        * tests/RTCORBA/Policy_Combinations/svc.conf:
        * tests/RTCORBA/Priority_Inversion_With_Bands/continuous.conf:
        * tests/RTCORBA/Priority_Inversion_With_Bands/svc.conf:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/svc.conf:
        * tests/RTCORBA/Server_Declared/continuous.conf:
        * tests/RTCORBA/Server_Declared/svc.conf:
        * tests/RTCORBA/Server_Protocol/server_iiop.conf:
        * tests/RTCORBA/Server_Protocol/server_iiop_shmiop.conf:
        * tests/RTCORBA/Server_Protocol/server_iiop_uiop.conf:
        * tests/RTCORBA/Server_Protocol/server_reverse.conf:
        * tests/RTCORBA/Server_Protocol/server_reverse_nt.conf:
        * tests/RTCORBA/Server_Protocol/server_shmiop.conf:
        * tests/RTCORBA/Server_Protocol/server_uiop.conf:
        * tests/RTCORBA/Thread_Pool/continuous.conf:
        * tests/RTCORBA/Thread_Pool/svc.conf:
        * tests/TransportCurrent/Framework/client-static.conf:
        * tests/TransportCurrent/Framework/client.conf:
        * tests/TransportCurrent/Framework/server-static.conf:
        * tests/TransportCurrent/Framework/server.conf:
        * tests/TransportCurrent/IIOP/client_dynamic.conf:
        * tests/TransportCurrent/IIOP/client_static.conf:
        * tests/TransportCurrent/IIOP/server_dynamic.conf:
        * tests/TransportCurrent/IIOP/server_static.conf:
          Fuzz. Added lacking $Id string.

Thu Apr 21 13:02:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Updated test list

        * tests/AMI/mt_noupcall.conf:
        * tests/AMI/run_mt_noupcall.pl:
        * tests/AMI/run_test.pl:
          New run_mt_noupcall, the existing script was using -ORBCollocation no
          which doesn't work with AMI and mt_noupcall

        * tests/AMI/simple_client.cpp:
          Layout change

Thu Apr 21 12:07:41 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Run AMI test with more options

        * tests/AMI/exclusive.conf:
        * tests/AMI/server.conf:
          Added Id tag

        * tests/AMI/mt_noupcall.conf:
          New file for testing with mt_noupcall

        * tests/AMI/run_test.pl:
          Add option -mt_noupcall and give client/server separate debug levels

Thu Apr 21 11:17:36 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Wait_On_LF_No_Upcall.cpp:
          Log transport id

Thu Apr 21 10:31:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Handler.cpp:
          Use the orb core reactor which is the LF reactor

Wed Apr 20 08:59:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Improved portability

        * bin/tao_orb_tests.lst:
          Added new test

        * tao/Leader_Follower.h:
          Layout change

        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Wait_On_LF_No_Upcall.cpp:
          Fixed coverity errors

        * tests/Bug_3531b_Regression:
        * tests/Bug_3531b_Regression/Bug_3531b_Regression.mpc:
        * tests/Bug_3531b_Regression/run_test.pl:
        * tests/Bug_3531b_Regression/server.cpp:
          New test

Wed Apr 20 09:52:52 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.2 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
ambiguous
